<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
	boolean isErrorScreen = request.getParameter("fail") != null;

	String path=request.getContextPath();
	if (!path.endsWith("/")) {
		path = path.concat("/");
	}

	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle("com.ibm.mashuphub.security.nls.login", request.getLocale());
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;UTF-8"/>
<title><%=i18n.getString("frame.title") %></title>
<style type="text/css">
   @import "<%=path%>client/styles/login.css";
</style>
</head>
<body class="mainbody">
	<div class="topMargin"></div>
	<center>
		<div class="loginPane">
			<div class="titleBar">
				<img alt="IBM logo" class="ibmLogo" src="<%=path%>client/images/IBMlogo2.gif"/></div>

				<div class="innerPane">
                	<div class="innerLeftPane">
						<div class="prodLogo"><img alt="InfoSphere MashupHub" src="<%=path%>client/images/LogInProductname.gif"/></div>
						<div class="prodDesc"><%=i18n.getString("form.label.proddescription") %></div>
						<div class="prodIcon"><img alt="InfoSphere MashupHub Icon" src="<%=path%>client/images/LogInIllustration.gif"/></div>
					</div>

					<div class="innerRightPane">
						<div class="formPane">
							<form id="loginForm" action="<%=path%>secured/j_security_check" method="POST">
								<table style="width:300px">
									<tr><td><div class="signInText"><%=i18n.getString("form.label.signin") %></div></td></tr>
									<%String formItemLabelStyle=isErrorScreen?"formItemLabelError":"formItemLabel";%>
									<tr><td class="<%=formItemLabelStyle%>"><span class="formrequired">*</span><%=i18n.getString("form.label.userid") %></td></tr>
									<tr><td class="inputbox"><input class="logininput" type="text" title="<%=i18n.getString("form.infopop.userid") %>" id="username" name="j_username" onkeyup="submitOnEnter(event)"/></td></tr>

	                                <tr><td class="<%=formItemLabelStyle%>"><span class="formrequired">*</span><%=i18n.getString("form.label.password") %></td></tr>
									<tr><td class="inputbox"><input class="logininput" type="password" title="<%=i18n.getString("form.infopop.password") %>" id="password" name="j_password" onkeyup="submitOnEnter(event)"/></td></tr>
									<tr valign="top">
										<td align="left" style="overflow: visible; padding-top: 10px;*height:33px; /*IE7*/">
											<a title="<%=i18n.getString("form.infopop.submit") %>" class="loginbutton" href="javascript:void(submit())"><span class="loginspan" style="height: 23px;"><%=i18n.getString("form.label.signin") %></span></a>
										</td>
									</tr>
									<%if(isErrorScreen){%>
									<tr>
										<td><div class="signErrorText"><nobr><img style="float:left;" src="<%=path%>client/images/warningLogIn.gif" alt="warning"><nobr> <%=i18n.getString("form.label.signinerror") %> </nobr></nobr></div></td>
									</tr>
									<%}%>
								</table>
							</form>
						</div>
					</div>

				</div>
			</div>

	</center>
	<script type="text/javascript">
		var textboxUser=document.getElementById('username');
		var textboxPassword=document.getElementById('password');
		function submit(){
			if((textboxUser.value.length>0)&&(textboxPassword.value.length)>0)
				document.forms[0].submit();
		}
		function submitOnEnter(keyEvent){
			if(keyEvent.keyCode==13&&(textboxUser.value.length>0)&&(textboxPassword.value.length)>0)
				submit();
		}
		textboxUser.focus();
	</script>
</body>
</html>
