/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("flow.hale.ConnectionDragCreationTool");

dojo.require("gdl.widget.tool.ConnectionDragCreationTool");

dojo.declare(
	"flow.hale.ConnectionDragCreationTool",
	gdl.widget.tool.ConnectionDragCreationTool,
  {
    handleMouseDown: function(e, editPartViewer) {
      var rv = this.inherited("handleMouseDown", arguments);
      if (rv == true) {
        this.sourceWidget.showOutConnector(false);
      }
      return rv;
    },

    handleMouseUp: function(e, editPartViewer) {
      if (this.sourceWidget) {
        this.sourceWidget.showOutConnector(true);
      }
      return this.inherited("handleMouseUp", arguments);
    }
  }
);
