/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("btp.widget.data.htmlLoader");

btp.widget.data.htmlLoader = {
    load: function(contents){
		if(!contents){ return false; }
		this.domNode.innerHTML = contents;
		this.loadComponents(this.domNode);
		dojo.parser.parse(this.domNode);

		var children = this.getChildren();
		for(var i = 0, len = children.length; i < len; i++){
			var child = children[i];
			this.setupWidgetsForEdit(child);
		}

		var _this = this;
		setTimeout(function(){
			_this.adjustCanvasSize();
		}, 0);

		this.fireInputChanged();
		return true;
	}
};
