/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("btp.widget.propsrc.componentPropertySource");

btp.widget.propsrc.componentPropertySource = {
	ps_getPropertyDescriptors: function(){
		var attributes = this.hlp_getEditArea().getAttributes(this);
		return attributes ? attributes : [];
	},

	ps_getPropertyValue: function(name){
		var f = "get" + name.charAt(0).toUpperCase() + name.substring(1);
		if(this[f]){
			return this[f]();
		}
		return this[name];
	},

	ps_setPropertyValue: function(name, value){
		var oldValue = this.ps_getPropertyValue(name);
		var f = "set" + name.charAt(0).toUpperCase() + name.substring(1);
		if(this[f]){
			this[f](value);
		}else{
			this[name] = value;
		}
		this.hlp_getEditArea().firePropertyChanged(name, oldValue, value, {widget:this});
	}
};
