/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("gdc.widget.decoration.AbstractDecoration");

dojo.declare(
	"gdc.widget.decoration.AbstractDecoration",
	null,
{
	owner: null,

	constructor: function(owner, props){
		this.setProps(props);
		this.owner = owner;
	},

	setProps: function(props){
		if(props && typeof(props) == "string"){
			props = eval('('+props+')');
		}
		dojo.mixin(this, props);
	},

	createTargetShape: function(parent){
		// subclass must implement
	},

	update: function(props){
		// subclass must implement
	},

	removeShape: function(){
		// subclass must implement
	},

	setLocation: function(/*{x:#,y:#}*/pt){
		// subclass must implement
	},

	setRotation: function(/*float*/angle){
		// subclass must implement
	}
});
