/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("gdc.widget.router.AbstractConnectionRouter");

dojo.declare(
	"gdc.widget.router.AbstractConnectionRouter",
	null,
{
	constructor: function(/*ConnectionWidget*/ owner){
		this.owner = owner;
		this._connects = [
			dojo.connect(owner, "onPointsChanged", this, "update")
		];
	},

	destroy: function(){
		dojo.forEach(this._connects, dojo.disconnect);
	},
	
	update: function(){
		// subclass may implement
	}
});