/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("gdl.widget.action.Actions");

// summary:
//		EditArea actions that are usually invoked from toolbar, menubar, etc.
//		'this' points to the EditArea.

gdl.widget.action.Actions = {
	scale: function(percent){
		var matrix = {};
		if (percent < 99 || 101 < percent){
			matrix = [dojox.gfx.matrix.scale(percent/100)];
		}
        this.rootGroup.setTransform(matrix);
	}
};
