/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("htc.widget.Hello");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit._Container");

dojo.declare(
	"htc.widget.Hello",
//	[dijit._Widget, dijit._Templated],
	[dijit.layout.ContentPane, dijit._Templated, dijit._Container],
{
	text: "",
	templatePath: dojo.moduleUrl("htc.widget", "templates/Hello/Hello.html"),

	postCreate: function(){
		if(this.text){
			this.domNode.innerHTML = this.text;
		}
	},
	
	setText: function(text){
		this.text = text;
		this.domNode.innerHTML = this.text;
	}
});
