/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("htc.widget.helper.RoundCornerPaneHelper");

htc.widget.helper.RoundCornerPaneHelper = {
	hlp_dropTargets: ["component"],

	// called from DefaultCreationTool#handleDrop
	componentDropHandler: function(e, editPartViewer){
		var srcElem = this.hlp_getDroppedDomNode(e);
		if(srcElem.componentClassName && srcElem.componentClassName == "htc.widget.RoundCornerPane"){
			alert("You cannot create RoundCornerPane on another RoundCornerPane");
			return false;
		}
		editPartViewer.getEditDomain().getActiveTool().componentDropHandler(e, editPartViewer);
		return true;
	}
};
