/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("mm.IWidgetPackageModel");

dojo.declare("mm.IWidgetPackageModel", null, {
	packageUrl: "", // url to the package
	
	getWidgetList: function(/*function*/callback) {
		var url = this.packageUrl + "?action=list_widgets";
        url = url.substring(url.indexOf("://") + 3);
		url = url.substring(url.indexOf("/"));
		dojo.xhrGet({
			url: url,
			error: dojo.hitch(this, function(response, args){
				callback(response, {
					"status": args.xhr.status,
					"statusText": args.xhr.statusText
				})
			}),
			load: dojo.hitch(this, function(response, args){
				response = dojo.fromJson(response);
				if (dojo.isArray(response)) {
					callback(response);
				} else {
					callback(response,  {
						"status": args.xhr.status,
						"statusText": args.xhr.statusText
					});
				}
			})
		});
	}
});