/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide('mm.MashupPageDeployer');

dojo.declare('mm.MashupPageDeployer', null, {
	packageUrl: "",	//url to package

	title: "",
	description: "",
	position: "",
	target: "",
	
	constructor: function(/*mm.MashupMaker*/server){
		this.server = server;
	},
	
	// deploy mashuppage to mashups
	deploy: function(/*function*/callback){
		//invoke generator plugin to deploy
		var url = this.packageUrl;
		url = url.substring(url.indexOf("://") + 3);
		url = url.substring(url.indexOf("/"));
		dojo.xhrPost({
			url: url,
			content: {
				deploy_service_url: this.server.serverUrl + this.server.contentHandler + "?type=page",	// url of parent resource
				username: this.server._username,
				password: this.server._password,
				
				title: this.title,
				description: this.description,
				position: this.position,
				target: this.target
			},
			error: dojo.hitch(this, function(response, args){
				callback(response, {
					"status": args.xhr.status,
					"statusText": args.xhr.statusText
				})
			}),
			load: dojo.hitch(this, function(response, args){
				response = dojo.fromJson(response);
				if (response.status == 201) {
					callback(response.responseText);
				}else{
					callback(response.responseText, response);
				}
			})
		});
	}
	
});
