/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("mm.model.CatalogFeedEntry");

dojo.require("mm.model.CatalogEntry");
dojo.require("mm.utils");

dojo.declare("mm.model.CatalogFeedEntry", mm.model.CatalogEntry, {
	feedViewer: "",
	feedUrl: "",
	feedUrlItemName:"",
	feedParams:{},
	
	constructor: function(){
		this.feedPrarams = {};
	},
	
	toString: function(){
		this.definition = this.feedViewer;
		var params = "";
		if(this.feedParams){
			for(var key in this.feedParams){
				params += (params ? "&" : "?") + escape(key) + "=" + escape(this.feedParams[key]);
			}
		};
		if(dojo.isArray(this.metadata.widgetParam)){
			for(var i=0;i<this.metadata.widgetParam.length;i++){
				if(this.metadata.widgetParam[i].itemName == this.feedUrlItemName){
					this.metadata.widgetParam[i].itemValue = this.feedUrl + params;
				}
			}
		};
		this.content = this.feedUrl + params;
		
		return mm.model.CatalogFeedEntry.superclass.toString.call(this);
	}
});