/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("mm.urls");
dojo.require("mm.HttpUrl");

mm.urls.getContextRoot = function(/*String*/server){
	if (/mashupmaker$/.test(server)) {
		//FIXME: tomcat
		var index = server.lastIndexOf('/');
		return mm.urls.http2https((index != -1 ? server.substring(0, index) : server) + "/mm.webapp");
	}else{
		//WAS
		return mm.urls.http2https(server);
	}
};

mm.urls.getContextRootBuilder = function(/*String*/server){
	if (/mashupmaker$/.test(server)) {
		//FIXME: tomcat
		var index = server.lastIndexOf('/');
		return mm.urls.http2https((index != -1 ? server.substring(0, index) : server) + "/mm");
	}else{
		//WAS
		return mm.urls.http2https(server);
	}
};

mm.urls.getContentHandlerUrl = function(/*String*/ server){
	return mm.urls.getContextRoot(server) + "/mycontenthandler";
};

mm.urls.getDefaultMMServerUrl = function(){
	var path = (window.location.port == "8443") ? "/mashupmaker" : "/mum"; 
	return window.location.protocol + "//" + window.location.host + path;
}

mm.urls.getServiceProxyUrl = function(/*String*/ server){
	if (/mashupmaker$/.test(server)) {
		//FIXME: tomcat
		return mm.urls.getContextRootBuilder(server) + "/crossdomain/ServiceProxy.jsp";
	}else{
		//WAS
		return mm.urls.getContextRootBuilder(server) + "/crossdomain/ServiceProxy.jsp2";
	}
}


mm.urls.http2https = function(/*String*/urlStr){
	//return url;
	var url = new mm.HttpUrl(urlStr);
	return url.getHttpsUrl().toString();
}