<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%!
//encode string to javascript string format
String encode(String value) throws java.io.IOException {
	java.io.StringWriter writer = new java.io.StringWriter();
    if (null == value) {
    	return "null";
    };
    writer.write('"');
    char[] chars = value.toCharArray();

    for (int i=0; i<chars.length; i++)
    {
        char c = chars[i];
        switch (c)
        {
            case  '"': writer.write("\\\""); break;
            case '\\': writer.write("\\\\"); break;
            case    0: writer.write("\\0"); break;
            case '\b': writer.write("\\b"); break;
            case '\t': writer.write("\\t"); break;
            case '\n': writer.write("\\n"); break;
            case '\f': writer.write("\\f"); break;
            case '\r': writer.write("\\r"); break;
            case '/': writer.write("\\/"); break;
            default:
                if ((c >= 32) && (c <= 126)) {
                    writer.write(c);
                } else {
                    writer.write("\\u");
                    String unicode = Integer.toHexString(c);
                    for(int j=0;j<4 - unicode.length();j++){
                    	writer.write("0");
                    }
                    writer.write(unicode);
                }
        }
    }

    writer.write('"');
    return writer.toString();
}
%>