<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="com.ibm.mashuphub.plugin.ims.ConnectionFormViewBean"%>
<%
	ConnectionFormViewBean viewBean = new ConnectionFormViewBean();
	viewBean = (ConnectionFormViewBean) viewBean.getViewBeanFromRequest(request);
	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle("com.ibm.mashuphub.plugin.ims.nls.ims", request.getLocale());
	
	String objectId = viewBean.getEntry().getObjectId();

	String id = com.ibm.mashuphub.helper.PluginHelper.getClientId(viewBean.getPluginId(), objectId); //clientId
	String me = com.ibm.mashuphub.helper.PluginHelper.getClientMe(viewBean.getPluginId(), objectId); //clientMe
	
	String checkracf = "if(racfenable.checked){userid.disabled=false;password.disabled=false;groupname.disabled=false;}else{userid.disabled=true;password.disabled=true;groupname.disabled=true;}";
	String checkssl = 	"if(sslenable.checked){ " +
							"if (keystorename.type=='file') " +
								"keystorename.disabled=false; " +
							"else " +
								"keystorename.disabled=true; " +
							"keystorepassword.disabled=false; " +
							"if (truststorename.type=='file') " +
								"truststorename.disabled=false; " +
							"else " +
								"truststorename.disabled=true; " +
							"truststorepassword.disabled=false; " +
							"encryptionlevel.disabled=false;} " +
						"else{ " +
							"keystorename.disabled=true; " +
							"keystorepassword.disabled=true; " +
							"truststorename.disabled=true; " +
							"truststorepassword.disabled=true; " +
							"encryptionlevel.disabled=true;}";
	String numberOnly = "if (!/^\\d*$/.test(this.value)) { this.value = this.value.replace(/[^\\d]/g,\"\");}";
%>

		
<div id="<%= id %>_connection_fields">

		<label style='width:22em;text-align:left'>
<%		
		String requiredFieldsLabel = i18n.getString("form.required.fields.label");
		String redAsterisk = "<span class='required' style='color:#FF0000;'>*</span>";
		requiredFieldsLabel = requiredFieldsLabel.substring(0, requiredFieldsLabel.indexOf("{")) + redAsterisk + requiredFieldsLabel.substring(requiredFieldsLabel.indexOf("}")+1);

%>	
		</label><br/>

	<h4><label style='width:30em;text-align:left'><%=i18n.getString("form.host.information.label") %></label></h4>
		<br/><br/>

		<div class="leftCol" style='width:20em;margin-left:1em'>
		<label style='width:20em;text-align:left' for='hostname'> <span class='required' style="color:#FF0000;">*</span> <%=i18n.getString("form.host.name.label") %></label>
		</div> 
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_hostname" name='<%= com.ibm.mashuphub.plugin.ims.ConnectionFormViewBean.HOSTNAME %>' size='40' type='text' value='<%= viewBean.getHostname() %>' style="width:20em; position: relative" title="<%=i18n.getString("form.host.name.infopop") %>"/><br/>					
		</div>

		<div class="leftCol" style='width:20em;margin-left:1em'>
		<label style='width:20em;text-align:left' for='port'> <span class='required' style="color:#FF0000;">*</span> <%=i18n.getString("form.port.label") %>  &nbsp;</label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_port" name='port' size='40' type='text' value='<%= viewBean.getPort() %>' style="width:20em" title="<%=i18n.getString("form.port.infopop") %>" onkeyup='<%= numberOnly %>' maxlength='5'/><br/>
			<span class='helpertext' style='width:20em'><%= i18n.getString("form.port.helper") %></span>
		</div>

		<div class="leftCol" style='width:20em;margin-left:1em'>
		<label style='width:20em;text-align:left' for='datastore'> <span class='required' style="color:#FF0000;">*</span> <%=i18n.getString("form.data.store.name.label") %>  &nbsp;</label>
		</div> 
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_datastore" name='datastore' size='40' type='text' value='<%= viewBean.getDatastore() %>' style="width:20em" title="<%=i18n.getString("form.data.store.name.infopop") %>"/><br/>
		</div>

 	<h4><label style='width:30em;text-align:left'><%=i18n.getString("form.generated.correlator.files.label") %></label></h4>
		<br/><br/>
		  <div id='<%= id %>_upload_filepath_<%= viewBean.getSuffix() %>' style='display: block;'>
		  	<div class="leftCol" style='width:20em;margin-left:1em'>
	          <label style='width:20em;text-align:left' for='filedata' title='<%= i18n.getString("form.generated.correlator.files.infopop") %>'> <span class='required' style="color:#FF0000;">*</span> <%=i18n.getString("form.filepath.label") %> &nbsp; </label>
		    </div>
		    <div class="rightCol" style='margin-left:22em'>
		      <%= viewBean.getBrowseChange(i18n) %>
		      <input name='correlatorfilename' type='hidden' value='<%= viewBean.getFiledata() %>'>
		    </div>
		  </div>
		<script type="text/javascript">
			//creating stack behavior in for input type
			<%= me %>.upload_stack = new hub.behaviors.Stack(['<%= id %>_upload_filepath_<%= viewBean.getSuffix() %>', '<%= id %>_upload_url_<%= viewBean.getSuffix() %>']);
		</script>

	<h4><label style='width:30em;text-align:left'><%=i18n.getString("form.security.credentials.label") %></label></h4>
		<br/><br/>
		
		<span class='securityoptions' style='width:20em;margin-left:1em'>
 			<input type='checkbox' name='racfenable' value='ON' onclick="<%= checkracf %>" title="<%=i18n.getString("form.racf.infopop") %>" <%=viewBean.getRacfenable().equals("ON")?"checked":""%>><span style='font-size:0.8em'>RACF</span><br/><br/>
 		</span>
		
		<div class="leftCol" style='width:19em;margin-left:2em'>
			<label style='width:19em;text-align:left' for='userid'> <%=i18n.getString("form.user.id.label") %> &nbsp; </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_userid" name='userid' size='40' type='text' value='<%= viewBean.getUserid() %>' style="width:20em" <%=viewBean.getRacfenable().equals("ON")?"":"disabled"%> title="<%=i18n.getString("form.user.id.infopop") %>" maxlength='8'/><br/>
			<span class='helpertext' style='width:20em'><%= i18n.getString("form.user.id.helper") %></span>
		</div>


		<div class="leftCol" style='width:19em;margin-left:2em'>
			<label style='width:19em;text-align:left' for='password'> <%=i18n.getString("form.password.label") %> &nbsp;  </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_password" name='password' size='40' type='password' value='<%= viewBean.getPassword() %>' style="width:20em" <%=viewBean.getRacfenable().equals("ON")?"":"disabled"%> title="<%=i18n.getString("form.password.infopop") %>" maxlength='8'/><br/>
			<span class='helpertext' style='width:20em'><%= i18n.getString("form.password.helper") %></span>
		</div>	

		<div class="leftCol" style='width:19em;margin-left:2em'>				
			<label style='width:19em;text-align:left' for='groupname'> <%=i18n.getString("form.group.name.label") %> &nbsp; </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_groupname" name='groupname' size='40' type='text' value='<%= viewBean.getGroupname() %>' style="width:20em" <%=viewBean.getRacfenable().equals("ON")?"":"disabled"%> title="<%=i18n.getString("form.group.name.infopop") %>" maxlength='8'/><br/>
			<span class='helpertext' style='width:20em'><%= i18n.getString("form.group.name.helper") %></span>
		</div>

		<span class='securityoptions' style='width:20em;margin-left:1em'>
			<input type='checkbox' name='sslenable' value='ON' onclick="<%= checkssl %>" title="<%=i18n.getString("form.ssl.infopop") %>" <%=viewBean.getSslenable().equals("ON")?"checked":""%>><span style='font-size:0.8em'>SSL</span><br/><br/>
		</span>

		<div id='<%= id %>_upload_filepath_<%= viewBean.getSuffix() %>' style='display: block;'>
		<div class="leftCol" style='width:19em;margin-left:2em'>				
			<label style='width:19em;text-align:left' for='keystorename'> <%=i18n.getString("form.key.store.name.label") %> &nbsp; </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
	        <%= viewBean.getKeystoreBrowseChange(i18n) %> &nbsp; <br />
	        <input name='keystorefilename' type='hidden'>
		</div>
		</div>
		<script type="text/javascript">
			//creating stack behavior in for input type
			<%= me %>.upload_stack = new hub.behaviors.Stack(['<%= id %>_upload_filepath_<%= viewBean.getSuffix() %>', '<%= id %>_upload_url_<%= viewBean.getSuffix() %>']);
		</script>	


		<div class="leftCol" style='width:19em;margin-left:2em'>				
			<label style='width:19em;text-align:left' for='keystorepassword'> <%=i18n.getString("form.key.store.password.label") %> &nbsp;  </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_keystorepassword" name='keystorepassword' size='40' type="password" value='<%= viewBean.getKeystorepassword() %>' style="width:20em" <%=viewBean.getSslenable().equals("ON")?"":"disabled"%> title="<%=i18n.getString("form.ssl.key.store.password.infopop") %>" maxlength='8'><br/>
			<span class='helpertext' style='width:20em'><%= i18n.getString("form.key.store.password.helper") %></span>
		</div>
		
		<div id='<%= id %>_upload_filepath_<%= viewBean.getSuffix() %>' style='display: block;'>
		<div class="leftCol" style='width:19em;margin-left:2em'>				
			<label style='width:19em;text-align:left' for='truststorename'> <%=i18n.getString("form.trust.store.name.label") %> &nbsp; </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
	        <%= viewBean.getTruststoreBrowseChange(i18n) %> &nbsp; <br />
	        <input name='truststorefilename' type='hidden'>
		</div>
		</div>
		<script type="text/javascript">
			//creating stack behavior in for input type
			<%= me %>.upload_stack = new hub.behaviors.Stack(['<%= id %>_upload_filepath_<%= viewBean.getSuffix() %>', '<%= id %>_upload_url_<%= viewBean.getSuffix() %>']);
		</script>	

		<div class="leftCol" style='width:19em;margin-left:2em'>				
			<label style='width:19em;text-align:left' for='truststorepassword'> <%=i18n.getString("form.trust.store.password.label") %> &nbsp; </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
			<input id="<%= id %>_truststorepassword" name='truststorepassword' size='40' type='password' value='<%= viewBean.getTruststorepassword() %>' style="width:20em" <%=viewBean.getSslenable().equals("ON")?"":"disabled"%> title="<%=i18n.getString("form.ssl.trust.store.password.infopop") %>" maxlength='8'/><br/>
			<span class='helpertext' style='width:20em'><%= i18n.getString("form.trust.store.password.helper") %></span>
		</div>

		<div class="leftCol" style='width:19em;margin-left:2em'>						
			<label style='width:19em;text-align:left' for='encryptionlevel'> <%=i18n.getString("form.encryption.level.label") %> &nbsp; </label>
		</div>
		<div class="rightCol" style='margin-left:22em'>
			<select id="<%= id %>_encryptionlevel" name='encryptionlevel' value='<%= viewBean.getEncryptionlevel() %>' style="width:20em" disabled title="<%=i18n.getString("form.encryption.level.infopop") %>">
				<option value="weak"><%=i18n.getString("form.encryption.level.weak") %></option>
				<option value="strong"><%=i18n.getString("form.encryption.level.strong") %></option>
				<option value="null"><%=i18n.getString("form.encryption.level.none") %></option>
			</select>
		</div>
		
			
	</div>
