<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="com.ibm.mashuphub.plugin.purexml.PureXMLViewBean"%>
<%@page import="java.util.ResourceBundle" %>
<%
	PureXMLViewBean viewBean = new PureXMLViewBean();
	viewBean = (PureXMLViewBean) viewBean.getViewBeanFromRequest(request);
//	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle(viewBean.getI18NProperties(), request.getLocale());

	String objectId = viewBean.getEntry().getObjectId();
	String id = com.ibm.mashuphub.helper.PluginHelper.getClientId(viewBean.getPluginId(), objectId);
	String clientMe = com.ibm.mashuphub.helper.PluginHelper.getClientMe(viewBean.getPluginId(), objectId);
	String ajaxUrl = viewBean.getBaseURL() + com.ibm.mashuphub.util.Util.getAjaxURL(viewBean.getPluginId(),objectId);
	String uid = (new java.rmi.server.UID()).toString();
	ResourceBundle i18n = ResourceBundle.getBundle("com.ibm.mashuphub.plugin.purexml.nls.purexml", request.getLocale());

	String rp = viewBean.getBaseURL()+"/plugins/com.ibm.mashuphub.plugin.purexml";
%>
<link rel='stylesheet' type='text/css' href='<%=rp%>/purexml.css'>

<script>
	if (!dijit.Tooltip) {
		dojo.require("dijit.Tooltip");
	}
	if (!dijit.Dialog) {
		dojo.require("dijit.Dialog");
	}

<jsp:include flush="true" page="../../../client/plugins/com.ibm.mashuphub.plugin.purexml/purexml.js"></jsp:include>
		<%=clientMe %>.purexml = new Purexml("<%=ajaxUrl%>");
        <%=clientMe %>.purexml.setTableText("<%=i18n.getString("form.tabletext") %>", "<%=i18n.getString("form.tabletext2") %> <a href='javascript:<%=clientMe%>.purexml.enableTables();'><%=i18n.getString("form.enable.link") %></a> <%=i18n.getString("form.tabletext3") %>");
        <%=clientMe %>.purexml.setContentText("<%=i18n.getString("form.contenttext") %>", "<%=i18n.getString("form.contenttext2") %>");
        <%=clientMe %>.purexml.setCriteriaText("<%=i18n.getString("form.criteriatext") %>", "<%=i18n.getString("form.criteriatext2") %>");
        <%=clientMe %>.purexml.setValueText("<%=i18n.getString("form.valuetext") %>", "<%=i18n.getString("form.valuetext2") %>");
         <%=clientMe %>.purexml.displaySQL2= function(resp) {
            <%=clientMe %>.purexml.displaySQL(resp);
        };
         <%=clientMe %>.purexml.onSelectConnection = function(event) {
			<%=clientMe %>.purexml.invokeServer('getDB', this);
        };
			//TODO Pass Table to getColumns
         <%=clientMe %>.purexml.onSelect = function(table) {
			 // need to set table as a parameter sent to server
			<%=clientMe %>.purexml.invokeServer('getColumns', {'table':table});
        };
		 <%=clientMe %>.purexml.showColumns = function(columns) {
			// get return from server (json encoded?)
			// columns = array("col1","col2","col3");

            var html = "";
			var columnsDiv = document.getElementById('<%=id%>_columns');
			for (var i=0; i<columns.length; i++) {
				html += "<option value='" + columns[i] + "'>&nbsp;"
					+ columns[i] + "</option>";

			}
			columnsDiv.innerHTML = html;
		};
	<%=clientMe %>.purexml.setUID("<%=uid%>");
	dojo.addOnLoad(<%=clientMe %>.purexml, 'init');
	//dojo.addOnLoad(function() { dijit.byId('maintabs_<%=uid%>').resize(); });
</script>

<div id="purexml_<%=uid %>">
	<input class="inputs" name="searchstring" id="searchstring_<%=uid %>" type="hidden" value="" size="64" maxlength="1024">
	<input id="oss_<%=uid %>" type="hidden" value="or" checked name="or_searchString">
	<input class="inputs" name="namespace" id="namespace_<%=uid %>" type="hidden" value="" size="64" maxlength="1024" readonly="readonly">
	<input id="submitButton_<%=uid %>" type="submit" name="save" value="save" style="display:none">

<div id="maintabs_<%=uid%>" dojoType="dijit.layout.TabContainer" selectedChild="tabData_<%=uid%>" style="height:30em;">

<div id="tabData_<%=uid%>" dojoType="dijit.layout.ContentPane" title="<%=i18n.getString("tab.title1") %>">

	<img src="<%=rp%>/images/purexml4.jpg" class="companion" alt="pureXML">

	<p class="formlet"><%=i18n.getString("form.tabdata.text") %></p>

	<p class="formlet">
	<label for="tbl_<%=uid%>"><%=i18n.getString("form.tabdata.dbtable") %>
		<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpTable_<%=uid%>">
	</label>
	<br>
	<input class="inputs" id="tbl_<%=uid%>" name="table" type="text" value="" size="64" maxlength="256" readonly="readonly"><img class="clickable" src="<%=rp%>/images/16x16-down-blue.gif" onclick="<%=clientMe%>.purexml.invokeServer('getTables', {});" alt="<%=i18n.getString("form.img.alt.browse") %>" title="<%=i18n.getString("form.img.pairs") %>">
	</p>

	<p class="formlet">
	<label for="col_<%=uid%>"><%=i18n.getString("form.tabdata.dbcolumn") %>
		<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpColumn_<%=uid%>">
	</label>
	<br>
	<input class="inputs" name="column" id="col_<%=uid%>" type="text" value="" size="64" maxlength="128" readonly="readonly">
	</p>

<!--
	<p class="formlet">
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabWelcome_<%=uid%>');"  disabled="true">&lt; <%=i18n.getString("form.tabdata.back") %></button>
	<button class="dojo-Button" onclick="dojo.byId('submitButton_<%=uid %>').click();"><b><%=i18n.getString("form.tabdata.create") %></b></button>
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabContent_<%=uid%>');"><%=i18n.getString("form.tabdata.next") %> &gt;</button>
	</p>
-->
</div>

<!-- Tab -->
<div id="tabContent_<%=uid%>" dojoType="dijit.layout.ContentPane" title="<%=i18n.getString("tab.title2") %>" >

	<img src="<%=rp%>/images/purexml4.jpg" class="companion" alt="pureXML">


	<p class="formlet"><%=i18n.getString("form.tabcontent.text") %> <img src="<%=rp%>/images/16x16-help-blue.gif" id="helpEntry_<%=uid%>"><%=i18n.getString("form.tabcontent.text2") %><br>
<br><%=i18n.getString("form.tabcontent.text3") %></p>

	<p class="formlet">
	<label for="entryTitle_<%=uid%>"><%=i18n.getString("form.tabcontent.entrytitle") %>
		<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpETitle_<%=uid%>">
	</label>
	<br>

	<input readonly="readonly" class="inputs" name="entryTitle" id="entryTitle_<%=uid%>" type="text" size="64" value="" maxlength="1024"><img class="clickable" src="<%=rp%>/images/16x16-down-blue.gif" onclick="<%=clientMe%>.purexml.subpath('entryTitle_<%=uid%>',event)" alt="<%=i18n.getString("form.img.alt.browse") %>">
	</p>

	<p class="formlet">
	<label for="entrySummary_<%=uid%>"><%=i18n.getString("form.tabcontent.entrysummary") %>
		<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpESummary_<%=uid%>">
	</label>
	<br>
	<input readonly="readonly" class="inputs" id="entrySummary_<%=uid%>" name="entrySummary" type="text" value="" size="64" maxlength="1024"><img class="clickable" src="<%=rp%>/images/16x16-down-blue.gif" onclick="<%=clientMe%>.purexml.subpath('entrySummary_<%=uid%>',event)" alt="<%=i18n.getString("form.img.alt.browse") %>">
	</p>


	<p class="formlet">
	<label for="entryAuthor_<%=uid%>"><%=i18n.getString("form.tabcontent.entryauthor") %>
		<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpEAName_<%=uid%>">
	</label>
	<br>
	<input readonly="readonly" class="inputs" name="entryAuthor" id="entryAuthor_<%=uid%>" type="text" value="" size="64" maxlength="1024"><img class="clickable" src="<%=rp%>/images/16x16-down-blue.gif" onclick="<%=clientMe%>.purexml.subpath('entryAuthor_<%=uid%>',event)" alt="<%=i18n.getString("form.img.alt.browse") %>">
	</p>

	<input type="hidden" name="entryAuthorURL" value="">
	<input type="hidden" name="entryAuthorEmail" value="">

<!--
	<p class="formlet">
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabData_<%=uid%>');">&lt;<%=i18n.getString("form.tabdata.back") %></button>
	<button class="dojo-Button" onclick="dojo.byId('submitButton_<%=uid %>').click();"><b><%=i18n.getString("form.tabdata.create") %></b></button>
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabRow_<%=uid%>');"><%=i18n.getString("form.tabdata.next") %> &gt;</button>

	</p>
-->
</div>

<!-- Tab -->
<div id="tabRow_<%=uid%>" dojoType="dijit.layout.ContentPane" title="<%=i18n.getString("tab.title3") %>">

	<img src="<%=rp%>/images/purexml4.jpg" class="companion" alt="pureXML">

	<p class="formlet"><%=i18n.getString("form.tabrow.text") %><br>
	<%=i18n.getString("form.tabrow.text2") %> <img src="<%=rp%>/images/16x16-help-blue.gif" id="helpXPath_<%=uid%>"> <%=i18n.getString("form.tabrow.text3") %></p>

	<div class="formlet">
		<table>
		<tr><td>
		<label for="xpath_<%=uid%>"><%=i18n.getString("form.tabrow.conditional") %> </label><img src="<%=rp%>/images/16x16-help-blue.gif" id="helpDoc_<%=uid%>"></td>
		<td>
		<input class="inputs" id="xpath_<%=uid%>" name="xpath" type="text" value="true()" size="64" maxlength="256"><img class="clickable" src="<%=rp%>/images/16x16-down-blue.gif" onclick="<%=clientMe%>.purexml.displayTree();" alt="<%=i18n.getString("form.img.alt.browserandom") %>" title="<%=i18n.getString("form.img.alt.browserandom") %>">
		</td></tr>
		</table>
	</div>

	<div class="formlet" id="valueBlock_<%=uid%>">
		<table>
		<tr><td>
		<label for="value_<%=uid%>"><%=i18n.getString("form.tabrow.value") %> </label><img src="<%=rp%>/images/16x16-help-blue.gif" id="helpValue_<%=uid%>"></td>
		<td>
		<input class="inputs" name="value" id="value_<%=uid%>" type="text" size="64" value="" maxlength="1024"><img class="clickable" src="<%=rp%>/images/16x16-down-blue.gif" onclick="<%=clientMe%>.purexml.getValue('value_<%=uid%>');" alt="<%=i18n.getString("form.img.alt.browse") %>">
		</td></tr>
		</table>
	</div>
	
	<table><tr valign="top">
	<td align="left" width="20%">
		<b><%=i18n.getString("form.tabrow.negation") %></b> <br>
		<table>
		<tr><td>
		<label for="does_<%=uid%>"><%=i18n.getString("form.tabrow.negation.does") %> </label><input type="radio" name="negation" id="does_<%=uid%>" value="does" checked>
		</td></tr>
		<tr><td>
		<label for="doesNot_<%=uid%>"><%=i18n.getString("form.tabrow.negation.doesnot") %> <img src="<%=rp%>/images/16x16-help-blue.gif" id="helpDoesNot_<%=uid%>"></label><input type="radio" name="negation" id="doesNot_<%=uid%>" value="doesNot">
		</td></tr>
		</table>
	</td>
	<td align="left" width="40%" >
		<b><%=i18n.getString("form.tabrow.operation") %></b> <br>
		<table>
		<tr><td>
		<label for="exists_<%=uid%>"><%=i18n.getString("form.tabrow.operation.exist") %>	<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpExists_<%=uid%>"></label><input type="radio" name="relation" id="exists_<%=uid%>" value="exists" onclick="<%=clientMe%>.purexml.onClickExists();" checked>
		</td></tr>
		<tr><td>
		<label for="contains_<%=uid%>"><%=i18n.getString("form.tabrow.operation.contain") %>	<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpContains_<%=uid%>"></label><input type="radio" name="relation" id="contains_<%=uid%>" value="contains" onclick="<%=clientMe%>.purexml.onClickContains();">
		</td></tr>
		<tr><td>
		<label for="equals_<%=uid%>"><%=i18n.getString("form.tabrow.operation.equal") %>	<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpEquals_<%=uid%>"></label><input type="radio" name="relation" id="equals_<%=uid%>" value="equals" onclick="<%=clientMe%>.purexml.onClickContains();">
		</td></tr>
		<tr><td>
		<label for="comparesNumericallyTo_<%=uid%>"><%=i18n.getString("form.tabrow.operation.compare") %>	<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpComparesNumericallyTo_<%=uid%>"></label><input type="radio" name="relation" id="comparesNumericallyTo_<%=uid%>" value="comparesNumericallyTo" onclick="<%=clientMe%>.purexml.onClickCompares();">
		</td></tr>
		</table>
	</td>
	<td align="left" width = '20%'>
	<div class="formlet" id="operatorBlock_<%=uid%>">
		<b><%=i18n.getString("form.tabrow.comparisons") %></b> <br>
		<table>
		<tr><td>
		<label for="ne_<%=uid%>">!=</label><input type="radio" name="operator" id="ne_<%=uid%>" value="!=" checked>
		</td></tr>
		<tr><td>
		<label for="lt_<%=uid%>">&lt;</label><input type="radio" name="operator" id="lt_<%=uid%>" value="&lt;">
		</td></tr>
		<tr><td>
		<label for="lte_<%=uid%>">&lt;=</label><input type="radio" name="operator" id="lte_<%=uid%>" value="&lt;=">
		</td></tr>
		<tr><td>
		<label for="e_<%=uid%>">=</label><input type="radio" name="operator" id="e_<%=uid%>" value="=">
		</td></tr>
		<tr><td>
		<label for="gte_<%=uid%>">&gt;=</label><input type="radio" name="operator" id="gte_<%=uid%>" value="&gt;=">
		</td></tr>
		<tr><td>
		<label for="gt_<%=uid%>">&gt;</label><input type="radio" name="operator" id="gt_<%=uid%>" value="&gt;">
		</td></tr>
		</table>
	</div>
	</td>
	<td align="right" width ='20%'>
	</td>
	</tr></table>


<!--
	<p class="formlet">
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabContent_<%=uid%>');">&lt;<%=i18n.getString("form.tabdata.back") %></button>
	<button class="dojo-Button" onclick="dojo.byId('submitButton_<%=uid %>').click();"><b><%=i18n.getString("form.tabdata.create") %></b></button>
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabFormat_<%=uid%>');"><%=i18n.getString("form.tabdata.next") %> &gt;</button>
	</p>

-->
</div>

<!-- Tab -->
<div id="tabFormat_<%=uid%>" dojoType="dijit.layout.ContentPane" title="<%=i18n.getString("tab.title4") %>" >

	<img src="<%=rp%>/images/purexml4.jpg" class="companion" alt="pureXML">

	<p class="formlet"><%=i18n.getString("form.tabformat.text") %></p>

	<p class="formlet">
	<label for="entryCount_<%=uid%>"><%=i18n.getString("form.tabformat.maximum") %>
		<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpEntriesPerFeed_<%=uid%>">
	</label>

	<br>
	<input class="inputs" name="entryCount" id="entryCount_<%=uid%>" type="text" value="10" size=5 maxlength="1024">
	</p>

	<input type="hidden" name="entryFormat" value="linked">
	<!--
	<p class="formlet">
	<label for="ef_<%=uid%>">{labelEFormat:h}:
		<img src="<%=rp%>/images/16x16-help-blue.gif" id="helpEFormat_<%=uid%>">
	</label>
	<br>
	<input id="ef_<%=uid%>" type="radio" checked value="linked" name="entryFormat">
	<label for="ef_<%=uid%>">Summaries</label><br>
	<input id="ef2_<%=uid%>" type="radio" name="entryFormat" value="embedded" >
	<label for="ef2_<%=uid%>">Full Content</label>
	</p>
	-->

<!--
	<p class="formlet">
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabRow_<%=uid%>');">&lt;<%=i18n.getString("form.tabdata.back") %></button>
	<button class="dojo-Button" onclick="dojo.byId('submitButton_<%=uid %>').click();"><b><%=i18n.getString("form.tabdata.create") %></b></button>
	<button class="dojo-Button" onclick="<%=clientMe%>.purexml.setTab('tabData_<%=uid%>');" disabled="true"><%=i18n.getString("form.tabdata.next") %> &gt;</button>
	</p>
-->
</div>


</div>

<div dojoType="dijit.Dialog" id="treeDialog_<%=uid %>" bgOpacity="0.5" toggle="fade" toggleDuration="5" style="display: none; width: 80%;">
<table cellpadding="0" cellspacing="0" border="0" style="background-color: white;  width: 88%;" align="center">
<!--
	<tr style="background-color: silver;" >
		<td>
	<a href="javascript:<%=clientMe%>.purexml.hideDisplay();"><img class="companion" src="<%=rp%>/images/16x16-close-blue.gif" alt="<%=i18n.getString("form.img.alt.close") %>"></a>
	<h3 class="treeHeader" id="treeHeader_<%=uid%>" style="color: navy; padding: 5px;"></h3>
		</td>
	</tr>
-->
	<tr >
		<td>
	<p id="treeBlurb_<%=uid%>" style="padding: 5px;"></p>
	<div class="tree" id="tree_<%=uid%>"></div>
		</td>
	</tr>
</table>
</div>

<span dojoType="dijit.Tooltip" connectId="helpAtom_<%=uid%>"><%=i18n.getString("form.help.atom") %></span>

<span dojoType="dijit.Tooltip" connectId="helpFeed_<%=uid%>"><%=i18n.getString("form.help.feed") %></span>
<span dojoType="dijit.Tooltip" connectId="helpEntry_<%=uid%>"><%=i18n.getString("form.help.entry") %></span>
<span dojoType="dijit.Tooltip" connectId="helpNewsreader_<%=uid%>"><%=i18n.getString("form.help.newsreader") %><br>
<br>
<%=i18n.getString("form.help.newsreader2") %></span>
<span dojoType="dijit.Tooltip" connectId="helpXPath_<%=uid%>"><%=i18n.getString("form.help.xpath") %><br>

<br>
<%=i18n.getString("form.help.xpath2") %></span>
<span dojoType="dijit.Tooltip" connectId="helpValue_<%=uid%>"><%=i18n.getString("form.help.value") %></span>
<span dojoType="dijit.Tooltip" connectId="helpTitle_<%=uid%>"><%=i18n.getString("form.help.title") %></span>
<span dojoType="dijit.Tooltip" connectId="helpTable_<%=uid%>"><%=i18n.getString("form.help.table") %> <a href="tablelist.php?db=SAMPLE"><%=i18n.getString("form.help.table.enable") %></a> <%=i18n.getString("form.help.table2") %></span>
<span dojoType="dijit.Tooltip" connectId="helpColumn_<%=uid%>"><%=i18n.getString("form.help.column") %></span>

<span dojoType="dijit.Tooltip" connectId="helpDoc_<%=uid%>"><%=i18n.getString("form.help.doc") %></span>
<span dojoType="dijit.Tooltip" connectId="helpDoesNot_<%=uid%>"><%=i18n.getString("form.help.doesnot") %></span>
<span dojoType="dijit.Tooltip" connectId="helpExists_<%=uid%>"><%=i18n.getString("form.help.exists") %></span>
<span dojoType="dijit.Tooltip" connectId="helpContains_<%=uid%>"><%=i18n.getString("form.help.contains") %></span>
<span dojoType="dijit.Tooltip" connectId="helpEquals_<%=uid%>"><%=i18n.getString("form.help.equals") %></span>
<span dojoType="dijit.Tooltip" connectId="helpComparesNumericallyTo_<%=uid%>"><%=i18n.getString("form.help.compare") %></span>
<span dojoType="dijit.Tooltip" connectId="helpETitle_<%=uid%>"><%=i18n.getString("form.help.etitle") %></span>
<span dojoType="dijit.Tooltip" connectId="helpESummary_<%=uid%>"><%=i18n.getString("form.help.esummary") %></span>
<span dojoType="dijit.Tooltip" connectId="helpEAName_<%=uid%>"><%=i18n.getString("form.help.eaname") %></span>
<span dojoType="dijit.Tooltip" connectId="helpEntriesPerFeed_<%=uid%>"><%=i18n.getString("form.help.entriesperfeed") %></span>
<span dojoType="dijit.Tooltip" connectId="helpEFormat_<%=uid%>"><%=i18n.getString("form.help.eformat") %></span>
<div>
