<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="java.util.ResourceBundle" %>
<%@page import="com.ibm.mashuphub.plugin.sql.SQLViewBean"%>
<%@page import="java.util.ArrayList"%>
<%
	SQLViewBean viewBean = new SQLViewBean();
	viewBean = (SQLViewBean) viewBean.getViewBeanFromRequest(request);

	String objectId = viewBean.getEntry().getObjectId();
	String id = com.ibm.mashuphub.helper.PluginHelper.getClientId(viewBean.getPluginId(), objectId);
	String me = com.ibm.mashuphub.helper.PluginHelper.getClientMe(viewBean.getPluginId(), objectId);

	ResourceBundle i18n = ResourceBundle.getBundle("com.ibm.mashuphub.plugin.sql.nls.sql", request.getLocale());

	ArrayList<String> tables = viewBean.getTables();
	String json = viewBean.getJson();
%>

<script type="text/javascript">

	dojo.require("dijit.Dialog");
	dojo.require("dijit.Tooltip");
	dojo.require("dijit.TitlePane");

    dojo.require("dijit.form.FilteringSelect");
    dojo.require("dojo.data.ItemFileReadStore");

	dojo.registerModulePath("plugins.sql", "../../../../client/plugins/com.ibm.mashuphub.plugin.sql/scripts");
	dojo.require("plugins.sql.BuilderPlugin");
	dojo.requireLocalization('plugins.sql', 'labels');

	new plugins.sql.BuilderPlugin(
		<%= me %>.plugin_id,
		<%= me %>.entry_id,
		<%= me %>.workflow);

    <%=me%>.init(<%= tables%>, <%= json%>);
    <%=me%>.onLoadEditor();
</script>

<br/>
<table style="font-size: 0.8em;">
  <tr>
    <td><span id="<%=id%>_tables_help"><%=i18n.getString("SQL_BUILDER_TABLES")%></span></td>
    <td><span id="<%=id%>_columns_help"><%=i18n.getString("SQL_BUILDER_COLUMNS") %></span></td>
  </tr>
  <tr>
    <td>
      <div title='<%=i18n.getString("SQL_BUILDER_TABLES_TOOLTIP")%>'>
      <div id="<%=id%>_tables" style="font-size: 1.2em; height:175px; width:250px; border:1px solid grey; overflow:s;">
        <!-- SQL tables here -->
      </div>
      </div>
    </td>
    <td>
      <div title='<%=i18n.getString("SQL_BUILDER_COLUMNS_TOOLTIP")%>'>
      <div id="<%=id%>_columns" style="font-size: 1.2em; height:175px; width:250px; border:1px solid grey; overflow:auto;">
        <!-- SQL table columns here -->
      </div>
      </div>
    </td>
  </tr>
</table>
<br/>

<div id="<%= id%>_filters" style="display:none; font-size: 0.8em;">
  <div style="margin-top:5px; height:4em; width:auto;">
  	  <%=i18n.getString("SQL_BUILDER_FILTERS") %><br/><br/>
	  <div style="width:15.6em;float:left;"><span id="<%=id%>_column"><%=i18n.getString("SQL_BUILDER_FILTER_COLUMN") %></span></div>
	  <div style="width:5em;float:left;"><span id="<%=id%>_operator"><%=i18n.getString("SQL_BUILDER_FILTER_OPERATOR") %></span></div>
	  <div style="width:15em;float:left;"><span id="<%=id%>_column_param"><%=i18n.getString("SQL_BUILDER_FILTER_COLUMN_PARAM") %></span></div>
	  <div style="width:10.5em;float:left;"><span id="<%=id%>_type"><%=i18n.getString("SQL_BUILDER_FILTER_TYPE") %></span></div>
	  <div style="width:7.5em;float:left;"><span id="<%=id%>_param_value"><%=i18n.getString("SQL_BUILDER_FILTER_PARAM_VALUE") %></span></div>
	  <div style="width:7em;float:left;"><span id="<%=id%>_condition"><%=i18n.getString("SQL_BUILDER_FILTER_CONDITION") %></span></div>
   </div>
</div><br/>

<div id="<%= id%>_order" style="display:none; font-size:0.8em;">

  <div style="margin-top:5px;height:1.2em; width:auto;">
     <div style="width:15.6em;float:left;"><%=i18n.getString("SQL_BUILDER_ORDER_BY")%></div>
     <div style="width:10.8em;float:left;"><%=i18n.getString("SQL_BUILDER_SORT")%></div>
  	 <div style="width:26em;float:left;"><%=i18n.getString("SQL_BUILDER_LIMIT") %></div><br/>
  </div>
  <div style="margin-top:5px; width:auto;">
  <span title='<%=i18n.getString("SQL_BUILDER_ORDER_BY_TOOLTIP")%>'>
     <select id="<%= id%>_orderby"/>
     <!-- SQL Table columns here -->
     </select>
  </span>
  <select id="<%= id%>_sort" style="width:10em; vertical-align:middle;" title='<%=i18n.getString("SQL_BUILDER_SORT_TOOLTIP")%>'>
     <option value="ASC"><%=i18n.getString("SQL_BUILDER_ASCENDING") %></option>
     <option value="DESC"><%=i18n.getString("SQL_BUILDER_DESCENDING") %></option>
  </select>
  <input type="text" id="<%= id%>_limit" style="width:auto;font-size:0.8em;" maxlength="6" title='<%=i18n.getString("SQL_BUILDER_LIMIT_TOOLTIP")%>'/>
  </div><br/>

<!--
  <div style="margin-top:5px; width:auto;">
    <input type="text" id="<%= id%>_limit" style="width:auto;font-size:0.8em;" maxlength="6" title='<%=i18n.getString("SQL_BUILDER_LIMIT_TOOLTIP")%>'/>
  </div>
 -->
</div>

<br/><br/>

<div dojoType='dijit.layout.ContentPane' layoutAlign='bottom'>
  <input type="button" class="BlueButton" id="<%= id%>_reset" value="<%=i18n.getString("SQL_BUILDER_RESET")%>" title='<%=i18n.getString("SQL_BUILDER_RESET_TOOLTIP")%>'/>
  <input type="button" class="BlueButton" id="<%= id%>_preview" value="<%=i18n.getString("SQL_BUILDER_PREVIEW")%>" title='<%=i18n.getString("SQL_BUILDER_PREVIEW_TOOLTIP")%>'/>
</div>
<br/><br/>

<div style="width:61em;font-size:0.8em;">
<div id="<%= id%>_advancedCheck" class="TOM_widget_CheckBoxTitlePane" style="width:auto; overflow:visible;">
  <span><%=i18n.getString("SQL_BUILDER_QUERY") %></span><br/><p/>
  <textarea name="sql" id="<%= id%>_textarea" style="width:59em; height:100px;"></textarea>
  <br/>
     <div dojoType='dijit.layout.ContentPane' layoutAlign='bottom'>
	    <input type="button" style="font-size:1em;" class="BlueButton" id="<%= id%>_insert" value="<%=i18n.getString("SQL_BUILDER_INSERT")%>"
	    title='<%=i18n.getString("SQL_BUILDER_INSERT_TOOLTIP")%>'/>
	    <input type="button" style="font-size:1em;" class="BlueButton" id="<%= id%>_previewAdvanced" value="<%=i18n.getString("SQL_BUILDER_PREVIEW_ADV")%>"
	    title='<%=i18n.getString("SQL_BUILDER_PREVIEW_ADV_TOOLTIP")%>'/>
     </div>
</div>
</div>
