<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="com.ibm.mashuphub.plugin.sql.SQLFrameViewBean"%>

<%
	SQLFrameViewBean frameViewBean = new SQLFrameViewBean();
	frameViewBean = (SQLFrameViewBean) frameViewBean.getViewBeanFromRequest(request);

	java.util.ResourceBundle frame_i18n = java.util.ResourceBundle.getBundle(frameViewBean.getI18NProperties(), request.getLocale());

	String objectId = frameViewBean.getEntry().getObjectId();
	String clientId = com.ibm.mashuphub.helper.PluginHelper.getClientId(frameViewBean.getPluginId(), objectId);
	String helpPath = frameViewBean.getHelpPath();
	//String helpURL = "javascript:hub.showUrl('" + frameViewBean.getPluginName() + " " + frame_i18n.getString("help") + "', '" + helpPath + "');";
	String helpURL = "javascript:hub.showHelp('" + frameViewBean.getPluginName() + " " + frame_i18n.getString("help") + "', '" + helpPath + "');";
%>
	<div id='<%=clientId %>_editor_container'>
        <div class='TOM_panel'>
<%  
     		if (helpPath != null && !helpPath.equals("") ) {
%>     		
            <div style="float:right">
               <a href="<%=helpURL %>" title="<%=frame_i18n.getString("help") %>" ><img src="../images/help.png" border="0" alt="<%=frame_i18n.getString("help.alt") %>"></a>
            </div>
<% 
     		}
%>            
			<div>
			<label style="width: 3em;">
				 <img width='32' height='32' src='<%= frameViewBean.getBaseURL() + frameViewBean.getIcon32Path() %>'
                   alt='<%=frameViewBean.getPluginName() %>'/>
			</label>

			<div class="rightCol" style="margin-left: 4em;">
				<h1><span id='<%=clientId %>'><%=frameViewBean.getTitle() %></span></h1>
			</div>
			<div>

            <div class='TOM_editor_client_area' >
<%
	out.flush();
	frameViewBean.renderComponents(request, response);
%>
            </div>

			<div class="rightCol"  style="margin-left: 4em;">
              <p id='<%=clientId %>_status<%= (frameViewBean.getSuffix().length()!=0) ? "_"+frameViewBean.getSuffix():"" %>' class='TOM_editor_error'></p>
            </div>

        </div>
	</div>
