<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="com.ibm.mashuphub.helper.tdi.*, com.ibm.mashuphub.plugin.tdi.*, java.util.*" %>
<%
FeedTypeViewBean viewBean = new FeedTypeViewBean();
FeedTypeViewBean FeedTypeViewBean = (FeedTypeViewBean) viewBean.getViewBeanFromRequest(request);
ResourceBundle i18n = ResourceBundle.getBundle(FeedTypeViewBean.getI18NProperties(), request.getLocale());
%>
<br/>
  <label for='feedtype'><span class='required'>*</span><%=i18n.getString("form.feedtype.select")%></label>
  <div class="rightCol">
  <select name="feedtype" dojoattachpoint="inputSelect" style="width: 400px;" size="17">
  <optgroup label="<%=i18n.getString("form.feedtype.select")%>">
<%
// Read available types and set it on the view bean
TDIHelper.launchTDI();
Vector<TDIFeedType> types = TDIHelper.readFeedTypes();
String selectedType = FeedTypeViewBean.getEntry().getAttribute(TDIEditor.TDI_FEED_TYPE);
for (int i=0; i<types.size(); i++) {
	TDIFeedType type = types.elementAt(i);
	String selected = "";
	if (type.getId().equals(selectedType)) {
		selected = "SELECTED";
	}
		
	// Special case handle lake levels, temporary fix to bug 3366
	// TODO:  Internationalize feedtype labels
	if (type.getTitle().equals("Levels")) {
		type.setTitle("Lake Levels");
	}
	%>
	<option value='<%=type.getId()%>' <%=selected%>><%=type.getTitle()%></option>
	<%
}
%>
  </optgroup>
  </select>
  </div>
<br/><br/>

