#!/bin/sh

# start up script for IBM Tivoli Directory Integrator v6.1.1 for Unix platforms
TDI_SOLDIR="$1"
TDI_PATH="$TDI_SOLDIR/lin32"
JRE_PATH="$TDI_PATH/jvm/jre/bin"
PATH="$JRE_PATH:$PATH"
export PATH

if [ -n "$TDI_SOLDIR" ]; then
	cd "$TDI_SOLDIR"
	if [ ! -d "logs" ]; then
	mkdir logs;
	fi
fi

"$JRE_PATH/java" -cp "$TDI_PATH/jars/3rdparty/IBM/db2jcc_license_c.jar" -Xms16m "-Dlog4j.configuration=file:///$TDI_PATH/etc/ce-log4j.properties" -jar "$TDI_PATH/IDILoader.jar" com.ibm.di.server.RS -s "$TDI_SOLDIR" -c "$TDI_SOLDIR/MIS/MashupIntegrationServer.xml" &
