<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page import="com.ibm.mashuphub.data.DatabasesInfo"%>
<%@page import="com.ibm.mashuphub.ui.ConnectionFormViewBean"%>

<%
	ConnectionFormViewBean viewBean = new com.ibm.mashuphub.ui.ConnectionFormViewBean();
	viewBean = (ConnectionFormViewBean) viewBean.getViewBeanFromRequest(request);
	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle(viewBean.getI18NProperties(), request.getLocale());

	String id = com.ibm.mashuphub.helper.PluginHelper.getClientId(viewBean.getPluginId(),viewBean.getEntry().getObjectId());

	List<Map<String, String>> conns = viewBean.getConnections();
	HashMap<String,String> attributes = viewBean.getEntry().getAttributes();
	String connId = attributes.get("connId");

	String dbtype="";
	String dbname="";
	String dbhost="";
	String dbport="";
	String dbusr="";
	String dbpwd="";
%>
		<br>
            <label for='datasource'><span class='required'>*</span><%=i18n.getString("form.select")%></label>
            <div class='rightCol'>
              <select id='<%=id%>_conn_select' name='<%=ConnectionFormViewBean.DATASOURCE%>' onchange='<%=id%>_onSelectConnection(this);'>
              <option value='-1'><%=i18n.getString("form.new")%>
<%
	for(int i=0;i<conns.size();i++) {
		Map<String,String> conn=conns.get(i);
		if ((viewBean.getRequiredType()!=null &&
			(conns.get(i).get(ConnectionFormViewBean.DBTYPE).equals(viewBean.getRequiredType())) ||
			viewBean.getRequiredType()==null)) {
			if (connId!=null && conn.get(ConnectionFormViewBean.ID).equals(connId)) {

				%><option value='<%=connId%>' selected><%=conn.get(ConnectionFormViewBean.NAME)%><%

				dbtype = conn.get(ConnectionFormViewBean.DBTYPE);
		        dbname = conn.get(ConnectionFormViewBean.DBNAME);
		        dbhost = conn.get(ConnectionFormViewBean.DBHOST);
		        dbport = conn.get(ConnectionFormViewBean.DBPORT);
		        dbusr = conn.get(ConnectionFormViewBean.DBUSR);
		        dbpwd = conn.get(ConnectionFormViewBean.DBPWD);
			}
			else {
				%><option value='<%=conn.get(ConnectionFormViewBean.ID) %>'><%=conn.get(ConnectionFormViewBean.NAME)%><%
			}
		}
	}
%>
          	 </select>
       	   </div>
           <br><br>

           <label for='dbtype'><span class='required'>*</span><%=i18n.getString("form.type")%></label>
           <div class='rightCol'>
           		<input id='<%=id%>_<%= ConnectionFormViewBean.DBTYPE %>' name='<%= ConnectionFormViewBean.DBTYPE %>' type='hidden'/>
<%
				if (viewBean.getRequiredType()!=null) {
				%>
					<select id='<%=id%>_dbtype_select' name='<%= ConnectionFormViewBean.DBTYPE %>_select' disabled='disabled'>
				<%
					String dbtype_value=viewBean.getRequiredType();
					String dbtype_name=DatabasesInfo.getDatabaseProperty(dbtype_value,DatabasesInfo.NAME_PROPERTY);
				%>
					   <option value='<%=dbtype_value%>' selected><%=dbtype_name%></select>
			    <%
				}
				else {
					%>
					<select id='<%=id%>_dbtype_select' name='<%= ConnectionFormViewBean.DBTYPE %>' onchange='<%=id%>_onSelectDbType(this);'>
					<%
					java.util.Iterator it=DatabasesInfo.getDatabases().keySet().iterator();
					while(it.hasNext()) {
						String dbtype_value=(String)it.next();
						String dbtype_name=DatabasesInfo.getDatabaseProperty(dbtype_value,DatabasesInfo.NAME_PROPERTY);

						if(dbtype.equals(dbtype_value)) {
							%><option value='<%=dbtype_value%>' selected><%=dbtype_name%><%
						}
					    else {
					    	%><option value='<%=dbtype_value%>'><%=dbtype_name%><%
					    }
					}
					%></select><%
				}
				%>
  		    </div>

            <label for='dbname'><span class='required'>*</span><%=i18n.getString("form.dbname")%></label>
            <div class='rightCol'>
              <input id='<%=id%>_dbname' name='<%= ConnectionFormViewBean.DBNAME %>' maxlength="1024" size='40' type='text' value='<%=dbname%>'/><br>
            </div>

		<div id='<%=id%>_derbyembed' style='display:block;'>

            <label for='dbhost'><span class='required'>*</span><%=i18n.getString("form.host")%></label>
            <div class='rightCol'>
              <input id='<%=id%>_dbhost' name='<%= ConnectionFormViewBean.DBHOST %>' maxlength="100" size='40' type='text' value='<%=dbhost%>'/><br>
            </div>

            <label for='dbport'><%=i18n.getString("form.port")%></label>
            <div class='rightCol'>
              <input id='<%=id%>_dbport' name='<%=ConnectionFormViewBean.DBPORT %>'  maxlength="100" size='40' type='text' value='<%=dbport%>'/><br>
            </div>

            <label for='dbusr'><span class='required'>*</span><%=i18n.getString("form.username")%></label>
            <div class='rightCol'>
              <input id='<%=id%>_dbusr' name='<%= ConnectionFormViewBean.DBUSR %>'  maxlength="100" size='40' type='text' value='<%=dbusr%>'/><br>
            </div>

            <label for='dbpwd'><span class='required'>*</span><%=i18n.getString("form.password")%></label>
            <div class='rightCol'>
              <input id='<%=id%>_dbpwd' name='<%= ConnectionFormViewBean.DBPWD %>'  maxlength="100" size='40' type='password' value='<%=dbpwd%>'/><br>
            </div>

		</div>

	        <script type="text/javascript">
			window.<%=id%>_init = function() {
				var conn_select=document.getElementById('<%=id%>_conn_select');
				var dbtype_select=document.getElementById('<%=id%>_dbtype_select');
	            var dbtype = dbtype_select.value;

				document.getElementById('<%=id%>_<%= ConnectionFormViewBean.DBTYPE %>').value=dbtype;

				if(conn_select.value!=-1) {
	                dbtype_select.disabled=true;
	            }

	            var derbyembed = document.getElementById('<%=id%>_derbyembed');

	        	if(dbtype=='<%= DatabasesInfo.DERBY_EMBED_DB_TYPE %>') {
		            derbyembed.style.display='none';
	            }
	            else {
	            	derbyembed.style.display='block';
		        }
		    };

	        <%=id%>_init();  /* initialize page view */

	        window.<%=id%>_onSelectDbType = function(theSelect) {

	            var selectedIndex = theSelect.selectedIndex;
	            var dbtype = theSelect.options[selectedIndex].value;

	            /* set actual dbtype param */
				document.getElementById('<%=id%>_dbtype').value=dbtype;

	            var derbyembed = document.getElementById('<%=id%>_derbyembed');

	        	if(dbtype=='<%= DatabasesInfo.DERBY_EMBED_DB_TYPE %>') {
		            derbyembed.style.display='none';
	            }
	            else {
	            	derbyembed.style.display='block';
		        }
	         };

             /* TODO: MH-119: improve usability */

	         window.<%=id%>_onSelectConnection = function(theSelect) {
	         	console.debug(theSelect);
	            <% if(conns == null) { %>
	                return;
				<% } %>

                var dbtype_select = document.getElementById('<%=id%>_dbtype_select');
	            var dbtype = dbtype_select.value;
	            var connId = theSelect.value;

	            var dbname = document.getElementById('<%=id%>_dbname');
	            var dbhost = document.getElementById('<%=id%>_dbhost');
	            var dbport = document.getElementById('<%=id%>_dbport');
	            var dbusr = document.getElementById('<%=id%>_dbusr');
	            var dbpwd = document.getElementById('<%=id%>_dbpwd');

	            if(connId == '-1') {
	                dbtype_select.disabled=false;
	                dbname.value = '';
	                dbhost.value = '';
	                dbport.value = '';
	                dbusr.value = '';
	                dbpwd.value = '';
	                return;
	            }
				<%
				for(int i=0;i<conns.size();i++) {
					Map<String,String> conn=conns.get(i);
					String dbType = conn.get(ConnectionFormViewBean.DBTYPE);
					String dbName = conn.get(ConnectionFormViewBean.DBNAME);
					dbName = dbName.replace("\\", "\\\\");
				%>
					if('<%=conn.get(ConnectionFormViewBean.ID)%>'==connId) {
					    /* set dbtype_select according to selected connection db type */
		                if(dbtype_select != null) {
		                    for(var j=0; j<dbtype_select.options.length; j++) {
		                        if(dbtype_select.options[j].value == '<%=conn.get(ConnectionFormViewBean.DBTYPE)%>') {
		                            dbtype_select.selectedIndex = j;
		                            break;
		                        }
		                    }
		                    <%=id%>_onSelectDbType(dbtype_select);

							/* set dbtype_select disabled */
			                dbtype_select.disabled=true;
		                }

	                    dbname.value = '<%=dbName%>';
	                    dbhost.value = '<%=conn.get(ConnectionFormViewBean.DBHOST)%>';
	                    dbport.value = '<%=conn.get(ConnectionFormViewBean.DBPORT)%>';
	                    dbusr.value = '<%=conn.get(ConnectionFormViewBean.DBUSR)%>';
	                    dbpwd.value = '<%=conn.get(ConnectionFormViewBean.DBPWD)%>';

			            var derbyembed = document.getElementById('<%=id%>_derbyembed');

			            dbtype = dbtype_select.value;

			        	if(dbtype=='<%= DatabasesInfo.DERBY_EMBED_DB_TYPE %>') {
				            derbyembed.style.display='none';
			            }
			            else {
			            	derbyembed.style.display='block';
				        }
					}
				<%
				}
				%>
	        }
		</script>
