<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%  com.ibm.mashuphub.ui.UploadFormViewBean viewBean = new com.ibm.mashuphub.ui.UploadFormViewBean();
	viewBean = (com.ibm.mashuphub.ui.UploadFormViewBean) viewBean.getViewBeanFromRequest(request);
	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle(viewBean.getI18NProperties(), request.getLocale());

	String objectId = viewBean.getEntry().getObjectId();
	String pluginId = viewBean.getPluginId();
	String clientId = com.ibm.mashuphub.helper.PluginHelper.getClientId(viewBean.getPluginId(), objectId);
	String clientMe = com.ibm.mashuphub.helper.PluginHelper.getClientMe(viewBean.getPluginId(), objectId);
	
	boolean isUploadURL = false;
	
	if (com.ibm.mashuphub.ui.UploadFormViewBean.VALUE_URL.equals(viewBean.getEntry().getAttribute(com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_UPLOAD_OPTION))) {
			isUploadURL = true;
	}
	
%>
		<br />
          <label for='uploadOption'><span class='required'>*</span><%=i18n.getString("input.type") %></label>
          <div id='uploadOption' class="rightCol">
	      <table style="padding: 0px; border: 0px none; margin: 0px;"><tr><td>
              <div>
                  <input type='radio' id='<%=com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_UPLOAD_OPTION %>0' name='<%=com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_UPLOAD_OPTION %>' value='<%=com.ibm.mashuphub.ui.UploadFormViewBean.VALUE_UPLOAD %>' <%=(isUploadURL?"":"checked") %> onclick="<%=clientMe %>.upload_stack.show(0);"/>
                  <span class='helpertext'><%=i18n.getString("upload.file") %></span>
              </div>
              <div>
                  <input type='radio' id='<%=com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_UPLOAD_OPTION %>1' name='<%=com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_UPLOAD_OPTION %>' value='<%=com.ibm.mashuphub.ui.UploadFormViewBean.VALUE_URL %>' <%=(isUploadURL?"checked":"") %> onclick="<%=clientMe %>.upload_stack.show(1);" />
                  <span class='helpertext'><%=i18n.getString("upload.url") %></span>
              </div>
	      </td></tr></table>  
          </div>
          <br />
          <div id='<%=clientId %>_upload_filepath_<%=viewBean.getSuffix() %>' style='display: <%=(isUploadURL)?"block":"none" %>;'>
            <label for='filedata'><span class='required'>*</span><%=i18n.getString("filepath") %></label>
              <div class="rightCol">
                <input class='longInput' name='<%=com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_FILEDATA %>' size='40' type='file'/><br />
                <span class='helpertext'><%= viewBean.getHelp() %></span>
              </div>
            </div>
            <div id='<%=clientId %>_upload_url_<%=viewBean.getSuffix() %>' style='display: <%=(isUploadURL)?"none":"block" %>;'>
              <label for='url'><span class='required'>*</span><%=i18n.getString("url") %></label>
              <div class="rightCol">
                <input class='longInput' name='<%=com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_URL %>' value='<%=isUploadURL?viewBean.getEntry().getAttribute(com.ibm.mashuphub.ui.UploadFormViewBean.PARAM_URL):"" %>' size='40' type='text'/><br />
                <span class='helpertext'><%= viewBean.getHelp() %></span>
              </div>
            </div>

        <script type="text/javascript">
	  //creating stack behavior in for input type
		  <%=clientMe %>.upload_stack = new hub.behaviors.Stack(['<%=clientId %>_upload_filepath_<%=viewBean.getSuffix() %>',
																	'<%=clientId %>_upload_url_<%=viewBean.getSuffix() %>']);
          <%=clientMe %>.upload_stack.show(<%=isUploadURL?1:0%>);  
                                            
		</script>		