<%-- (C) Copyright IBM Corp. 2007  All Rights Reserved.                --%>
<%@page import="com.ibm.mm.servlet.FeedReaderServlet"%>
<% 
	final String url = (String) request.getAttribute(FeedReaderServlet.FEED_READER_URL_REQ_ATTR);
	final String title = (String) request.getAttribute(FeedReaderServlet.FEED_READER_TITLE_REQ_ATTR);
	final String subtitle = (String) request.getAttribute(FeedReaderServlet.FEED_READER_SUBTITLE_REQ_ATTR);
	final String namespace = (String) request.getAttribute(FeedReaderServlet.FEED_READER_NAMESPACE_REQ_ATTR);
%>

<script type="text/javascript" src="/iwidgets/feedreader/js/com/ibm/enabler/feedconsumer/service.js"></script>
<script type="text/javascript" src="/iwidgets/feedreader/js/com/ibm/enabler/feedconsumer/helper.js"></script>
<script type="text/javascript" src="/iwidgets/feedreader/js/com/ibm/enabler/feedconsumer/uri.js"></script>

<table cellpadding="0" cellspacing="0" class="ibm-portlet-section-header" width="100%">
<tr>
	<td class="header-left">
		<h1><%= title %></h1>
		<div class="information">
			<span><%= subtitle!=null?subtitle:"" %></span>
		</div>
	</td>
</tr>
</table>


<table cellpadding="0" cellspacing="0" class="ibm-portlet-section-body" dir="ltr">
<tr>
	
	<td class="ibm-portlet-section-left">
		<div id="<%= namespace %>_postViewList" class="ibm-portlet-item-summary-list" style="margin: 1em 0.5em 0 0.5em;">
	    	<div class="centered-div-outer ibm-portlet-dynamic-loading">
            <div class="centered-div-middle">
               <div class="centered-div-inner">
	         		<img src="/iwidgets/feedreader/images/indicator.white.gif" border="0">
	    		      <h4>Loading feed...</h4>
	    	      </div>
		      </div>
         </div>
      </div>
      <table cellpadding="0" cellspacing="0" class="ibm-portlet-table-bottom" style="margin: 0 0.5em;">
         <tr>
            <td class="start">
               <span>
                  Show:
                  <span id="<%= namespace %>_paginate5_inactive" style="display:none;">5</span>
                  <span id="<%= namespace %>_paginate5">
                     <a class="nav-link" href="#" onClick="<%= namespace %>_paginationInterval(5);">5</a>
                  </span> |
                  <span id="<%= namespace %>_paginate10_inactive" style="display:none;">10</span>
                  <span id="<%= namespace %>_paginate10">
                     <a class="nav-link" href="#" onClick="<%= namespace %>_paginationInterval(10);">10</a>
                  </span> |
                  <span id="<%= namespace %>_paginate20_inactive" style="display:none;">20</span>
                  <span id="<%= namespace %>_paginate20">
                     <a class="nav-link" href="#" onClick="<%= namespace %>_paginationInterval(20);">20</a>
                  </span>
                  items per page
               </span>
            </td>
            <td>
               &nbsp;
            </td>
            <td class="end">
               <span id="<%= namespace %>_paginatePrevious_inactive" style="display:none;">Previous</span>
               <span id="<%= namespace %>_paginatePrevious">
                  <a class="nav-link" href="#" onClick="<%= namespace %>_paginationBackward();">Previous</a>
               </span>
               |
               <span id="<%= namespace %>_paginateNext_inactive" style="display:none;">Next</span>
               <span id="<%= namespace %>_paginateNext">
                  <a class="nav-link" href="#" onClick="<%= namespace %>_paginationForward();">Next</a>
               </span>
            </td>
         </tr>
      </table>
	</td>
	
	
	<td class="ibm-portlet-section-right">
	</td>
</tr>
</table>

<script type="text/javascript">
//	alert(isBrowserSupported());
	// Config and display	
	if (isBrowserSupported()) 
	{
	
		// Event model
		function <%= namespace %>_initAwareness(eventType, post, postDiv) 
		{
			eval(post.thread.config.parseMethod+"(eventType, post, postDiv)");
		}
			
		dojo.debug("isBrowserSupported: ",isBrowserSupported());
		  	
		
		var <%= namespace %>_config = {
			portletNS      : '<%= namespace %>_',
			contextURL     : '/iwidgets/feedreader/',
			feedURL        : '<%= url %>',
			targetURL      : '<%= url %>',
			authorVisible  : 'true',
			dateVisible    : 'true',
			interval       : 5,
			proxyPrefixURL : ibmConfig["proxyURL"],
			containerId    : 'postViewList',
			layout         : 'FLAT',
			textOnly       : false,
			parseMethod    : ''
		};

		var <%= namespace %>_bindArgs = {
		    url:        '/iwidgets/feedreader/js/parser.js',
		    sync: true,
		    mimetype:   "text/javascript",
		    error:      function(type, errObj){ 
		    									var element = document.getElementById(this.thread.portletNS + "errorConsole");
    											element.innerHTML = "Error: " + dojo.errorToString(errObj) + "<BR>"; 
    										  }
		};
		
		// dispatch the request
		//var <%= namespace %>_requestObj = dojo.io.bind(<%= namespace %>_bindArgs);			
			
		var <%= namespace %>_feed_thread = new Thread(<%= namespace %>_config);
		//<%= namespace %>_feed_thread.addListener(LOAD_POST_EVENT, <%= namespace %>_initAwareness);
		<%= namespace %>_feed_thread.loadThread();
					
		// Pagination
		function <%= namespace %>_paginationInterval(interval) 
		{
			<%= namespace %>_feed_thread.paginationDirection("update"); // to prevent paginating forward / backward
			<%= namespace %>_feed_thread.paginationInterval(interval);
			<%= namespace %>_feed_thread.displayThread();
		}	
				
		function <%= namespace %>_paginationBackward() 
		{
			<%= namespace %>_feed_thread.paginationDirection("backward");
			<%= namespace %>_feed_thread.displayThread();
		}	
		
		function <%= namespace %>_paginationForward() 
		{
			<%= namespace %>_feed_thread.paginationDirection("forward");
			<%= namespace %>_feed_thread.displayThread();
		}	
	}
</script>
