<%-- Copyright IBM Corp. 2008  All Rights Reserved.                    --%>
header.write("<span class='photoCard' style=''><img src='" + person.photo + "' alt='" + person.fn + " " + SemTagMenu.nls.a11y_photo + "'/>");
header.write("</span><div class='businessCard'><ul dir='" + bidi + "'>");
header.write("<li class='cardName' tabindex=0>" + person.fn + "</li>");

<%
java.util.Properties csenv = new java.util.Properties();
try {
	Class personTagClass = java.lang.Class.forName( "com.ibm.wkplc.people.portal.taglib.PersonTag" );
	java.io.InputStream in = personTagClass.getClassLoader().getResourceAsStream( "config/CSEnvironment.properties" );
	if ( in != null ) {
		csenv.load( in );

		String items = csenv.getProperty( "CS_SERVER_PERSONTAG.businessCardItems" );
		if ( items != null && 0 < items.length() ) {
			java.util.StringTokenizer st = new java.util.StringTokenizer( items, "," );
			while ( st.hasMoreTokens() ) {
				String item = st.nextToken().trim();
				String attrib = "";
				if ( item.equals( "businessCategory" ) )				attrib = ".category";
				else if ( item.equals( "carLicense" ) )					attrib = ".X.carlicense";
				else if ( item.equals( "cn" ) )							attrib = ".fn";
				else if ( item.equals( "countryName" ) )				attrib = ".adr.countryname";
				else if ( item.equals( "departmentNumber" ) )			attrib = ".X.departmentnumber";
				else if ( item.equals( "description" ) )				attrib = ".note";
				else if ( item.equals( "displayName" ) )				attrib = ".fn";
				else if ( item.equals( "employeeNumber" ) )				attrib = ".X.employeenumber";
				else if ( item.equals( "employeeType" ) )				attrib = ".X.employeetype";
				else if ( item.equals( "facsimileTelephoneNumber" ) )	attrib = ".tel.fax";
				else if ( item.equals( "givenName" ) )					attrib = ".n.givenname";
				else if ( item.equals( "homePostalAddress" ) )			attrib = ".X.homeaddress";
				else if ( item.equals( "ibm-gender" ) )					attrib = ".X.gender";
				else if ( item.equals( "ibm-generationQualifier" ) )	attrib = ".n.honorificsuffix";
				else if ( item.equals( "ibm-hobby" ) )					attrib = ".X.hobby";
				else if ( item.equals( "ibm-jobTitle" ) )				attrib = ".title";
				else if ( item.equals( "ibm-middleName" ) )				attrib = ".n.additionalname";
				else if ( item.equals( "ibm-otherEmail" ) )				attrib = ".email.X_notes";
				else if ( item.equals( "ibm-personalTitle" ) )			attrib = ".n.honorificprefix";
				else if ( item.equals( "ibm-primaryEmail" ) )			attrib = ".email.internet";
				else if ( item.equals( "ibm-regionalLocale" ) )			attrib = ".X.locale";
				else if ( item.equals( "ibm-timeZone" ) )				attrib = ".tz";
				else if ( item.equals( "ibm-workLocation" ) )			attrib = ".X.worklocation";
				else if ( item.equals( "initials" ) )					attrib = ".X.initials";
				else if ( item.equals( "localityName" ) )				attrib = ".adr.locality";
				else if ( item.equals( "manager" ) )					attrib = ".X.manager";
				else if ( item.equals( "mobile" ) )						attrib = ".tel.cell";
				else if ( item.equals( "o" ) )							attrib = ".org.name";
				else if ( item.equals( "ou" ) )							attrib = ".org.unit";
				else if ( item.equals( "pager" ) )						attrib = ".tel.pager";
				else if ( item.equals( "postalAddress" ) )				attrib = ".X.fulladdress";
				else if ( item.equals( "postalCode" ) )					attrib = ".adr.postalcode";
				else if ( item.equals( "preferredLanguage" ) )			attrib = ".X.language";
				else if ( item.equals( "roomNumber" ) )					attrib = ".adr.extendedaddress";
				else if ( item.equals( "secretary" ) )					attrib = ".X.secretary";
				else if ( item.equals( "seeAlso" ) )					attrib = ".url";
				else if ( item.equals( "sn" ) )							attrib = ".n.familyname";
				else if ( item.equals( "stateOrProvinceName" ) )		attrib = ".adr.region";
				else if ( item.equals( "street" ) )						attrib = ".adr.streetaddress";
				else if ( item.equals( "telephoneNumber" ) )			attrib = ".tel.voice";
				else if ( item.equals( "uid" ) )						attrib = ".uid";

				if ( 0 < attrib.length() ) {
					StringBuffer check = new StringBuffer( 32 );
					int pos = attrib.indexOf( '.', 1);
					while ( pos != -1 ) {
						if ( 0 < check.length() ) check.append( " && " );
						check.append( "person" + attrib.substring( 0, pos ) );
						pos = attrib.indexOf( '.', pos+1 );
					}
					if ( 0 < check.length() ) check.append( " && " );
					check.append( "person" + attrib );
					String itemHtml = "\"<li>\" + person" + attrib + " + \"</li>\"";
					if ( item.equals( "ibm-primaryEmail" ) ) itemHtml = "\"<li><a href='mailto:\" + person" + attrib + " + \"'>\" + person" + attrib + " + \"</a></li>\"";
%>
if (<%= check.toString() %>) header.write(<%= itemHtml %>);
<%
				}
			}
		}
	}
}
catch ( java.lang.Exception e ) {
	e.printStackTrace();
}
%>

header.write("</ul></div>");
