/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("flow.hale.CreationTool");
dojo.require("btp.widget.tool.DefaultCreationTool");

dojo.declare(
	"flow.hale.CreationTool",
	btp.widget.tool.DefaultCreationTool,
  {
    createDroppedComponent: function(e, editPartViewer){
      var widget = this.inherited("createDroppedComponent", arguments);
      var targetWidget = this.getDropTargetWidget(e);
      var sourceWidget = this.getDragSourceWidget(e);

      var type = sourceWidget.operatortype;
      widget.operatorType = type;
      targetWidget.addOperator(widget);
      return widget
    }
  }
);
