/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("btp.i18n");
dojo.require("btp._base.impl");

dojo.mixin(btp.i18n,
{
	loadBundle: function(bundleName){
		if(!window.btpConfig || !btpConfig.i18nClassName){ return; }
		return btp.loadImpl(btp.i18n, btpConfig.i18nClassName, "loadBundle", arguments);
	},

	gets: function(s, prefix){
		if(!window.btpConfig || !btpConfig.i18nClassName){ return s; }
		return btp.loadImpl(btp.i18n, btpConfig.i18nClassName, "gets", arguments, s);
	}
});
