/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("btp.widget.EditorFrame");

dojo.require("btp.widget.BottomTabPanel");
dojo.require("btp.widget.tool.EditDomain");

dojo.declare(
	"btp.widget.EditorFrame",
	btp.widget.BottomTabPanel,
{
	_editDomain: null,
	defaultTool: "",
	
	postCreate: function(){
		btp.widget.EditorFrame.superclass.postCreate.apply(this, arguments);
	},
	
	startup: function(){
		btp.widget.EditorFrame.superclass.startup.apply(this, arguments);
		this._editDomain = new btp.widget.tool.EditDomain(this.defaultTool);
		for(var i = 0, len = this.tabs.length; i < len; i++){
			var page = this.tabs[i].page;
			if(page.setEditDomain){
				page.setEditDomain(this.getEditDomain());
			}
			if(page.activeToolChanged){
				this.getEditDomain().setPaletteViewer(page);
			}
		}
	},

	getEditDomain: function(){
		return this._editDomain;
	}
});
