/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("btp.widget._editArea.snap");

// summary:
//		Snap and Grid.
//		'this' points to the EditArea.

btp.widget._editArea.snap = {
	gridWidth: 10,
	displayGridFlag: false,
	snapObjectsToGridFlag: false,

	displayGrid: function(flag){
		if(flag){
			this.domNode.style.backgroundImage = "url("+dojo.moduleUrl("btp", "templates/EditArea/grid-multi.gif")+")";
		}else{
			this.domNode.style.backgroundImage = "";
		}
		this.displayGridFlag = flag;
	},

	snapObjectsToGrid: function(flag){
		this.snapObjectsToGridFlag = flag;
	},

	snap: function(pos, force){
		if(this.snapObjectsToGridFlag || force){
			var w = this.gridWidth;
			var t = pos + w/2;
	 		return t - t % w;
	 	}
	 	return pos;
	}
};
