/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("btp.widget._propertiesView.fromHtml");

// summary:
//		Creates a property page from HTML
//		'this' points to the PropertiesView.

btp.widget._propertiesView.fromHtml = {
	createPropPageFromHtmlFragment: function(url, name, sel){
		var _this = this;
		var root;
		function loadHtmlFragment (type, data, evt){
			var div = dojo.doc.createElement("DIV");
			div.innerHTML = data;
			root = div.firstChild;
			_this.domNode.appendChild(div.firstChild);
			div = null;
		}
		dojo.io.bind({url: url, load: loadHtmlFragment, sync: true, mimetype: "text/plain"});

		this.setOnChangeHandler(root);
		this.createElementsMap(root); // elements map
		root.name = name; // key to cache

		return root;
	}
};
