/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("btp.widget.io.FileIO");

btp.widget.io.FileIO = {
	dosometest: null
/*
	currentAppId: null,

	initcurrentAppId: function(){
		if(window.location.href.indexOf("/XmlEditor/") != -1){
			this.currentAppId = "xed";
		}else if(window.location.href.indexOf("/GraphicalEditor/") != -1){
			this.currentAppId = "ged";
		}else if(window.location.href.indexOf("/CustomizableRssReader/") != -1){
			this.currentAppId = "red";
		}else{
			this.currentAppId = "led";
		}
	},
	
	getResourceUrl: function(path){
		// summary:
		//		Get a url for the raw resource.
		//		Retuns a full URL (Ex. http://localhost/btp/repos/space1/cat1/resource1)
		// path:
		//		can be one of these:
		//		- resourceID (Ex. cat1/resource1)
		//		- full URL (Ex. http://localhost/btp/repos/space1/cat1/resource1;edit)
		//		- (null) (Assumes the current location is the parameter)
		if(!this.currentAppId) //TODO: Do not omit curly braces, '{' and '}'.
			this.initcurrentAppId();
		if(path){
			var fullpath = window.location.href;
			var pos = fullpath.lastIndexOf("/");
			fullpath = fullpath.substring(0, pos);
			fullpath += "/../hale/test/repository/"+this.currentAppId+"/"+path;
			return fullpath;
		}

		var model = dijit.byId(this.modelId);
		if(model){
			return model.src;
		}
		return null;
	},

	getViewUrl: function(path){
		return null;
	},

	getEditUrl: function(path){
		return null;
	},

	getListUrl: function(){
		if(!this.currentAppId){
			this.initcurrentAppId();
		}
	    if(window.location.href.match(/([^\/]+)\/[^\/]+$/)){
			appl = RegExp.$1;
		}
		return dojo.moduleUrl("hale", "../../test/data/resourceList-"+this.currentAppId+".xml")+"";
	},

	sendOpenFileRequest: function(path, opts){
		alert("sendOpenFileRequest");
	},
	
	sendNewFileRequest: function(path, opts){
		alert("sendNewFileRequest: not implemented yet.");
	},
	
	sendNewFolderRequest: function(path, opts){
		alert("sendNewFolderRequest: not implemented yet.");
	},
	
	sendRenameRequest: function(oldPath, newPath, opts){
		alert("sendRenameRequest: not implemented yet.");
	},
	
	sendDeleteFileRequest: function(path, opts){
		alert("sendDeleteFileRequest: not implemented yet.");
	},

	sendSaveRequest: function(content, path, opts){
		// path can be null or undefined
		var url = this.getResourceUrl(path);
		alert("sendSaveRequest: not implemented yet.\nThe content should be saved to "+url);
	}
*/
};
