/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("gdc.widget.RoundRect");

dojo.require("gdc.widget.Rect");

dojo.declare(
	"gdc.widget.RoundRect",
	gdc.widget.Rect,
{
	r: 20,

	// Override gdc.widget.AbstractNode
	getShapeInfo: function(){
		return { type:'rect',
			width:this.getWidth(), height:this.getHeight(),
			r:this.getR()
		};
	},
	
	getR: function(){
		return this.r;
	},
	
	setR: function(r){
		this.r = r;
		this.update();
	}
});
