/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("gdc.widget.decoration.ImageDecoration");

// Summary:
//		A decorative Figure intended to be placed on a Polyline.
//		Note that this is not a widget.

dojo.require("gdc.widget.decoration.AbstractDecoration");

dojo.declare(
	"gdc.widget.decoration.ImageDecoration",
	gdc.widget.decoration.AbstractDecoration,
{
	src: "",
	width: 100,
	height: 100,

	constructor: function(owner, props){
	},

	createTargetShape: function(parent){
		var shape = this.shape = parent.createImage({width:this.width, height:this.height, src:dojo.moduleUrl("hale", "../"+this.src)+""});
		return shape;
	},

	update: function(props){
		var shape = this.shape;
		if(!shape){ return; }
		shape.setShape({width:this.width, height:this.height, src:dojo.moduleUrl("gdc", "../"+this.src)+""});
	},

	setLocation: function(/*{x:#,y:#}*/pt){
		this.shape.setTransform({dx:pt.x-16, dy:pt.y-19});
	},

	setRotation: function(/*float*/angle){
//		var rotate = dojox.gfx.matrix.rotategAt(angle, 0, 0);
//		this.shape.applyTransform(rotate);
	}
});
