/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("gdc.widget.samples.SampleTemplatedNode");

dojo.require("gdc.widget.AbstractNode");
dojo.require("gdc.widget.GfxContainer");
dojo.require("gdc.widget._GfxTemplated");
dojo.require("gdc.widget.support.connectable");

dojo.declare(
	"gdc.widget.samples.SampleTemplatedNode",
	[gdc.widget.AbstractNode, gdc.widget.GfxContainer, gdc.widget._GfxTemplated],
{
	templatePath: dojo.moduleUrl("gdc", "widget/samples/templates/SampleTemplatedNode.svg"),
	
	radius: 6,
	
	setShape: function(){
		var w = this.getWidth();
		var h = this.getHeight();
		this.targetRect.setShape({
			type:'rect',
			width: w,
			height: h
		});
		this.connectionPt1.setTransform({ dx: w/2-this.radius, dy: -this.radius });
		this.connectionPt2.setTransform({ dx: w/2-this.radius, dy: h-this.radius });
		return this.shape;
	}
	
});
dojo.extend(gdc.widget.samples.SampleTemplatedNode, gdc.widget.support.connectable);