/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("gdl.widget.OutlineView");

dojo.require("btp.widget.OutlineView");
dojo.require("btp.widget.ScrollWindow");

dojo.declare(
	"gdl.widget.OutlineView",
	btp.widget.OutlineView,
{
	scrollWindow: null,
	
	_initialize: function() {
		var w = this.scrollWindow = new btp.widget.ScrollWindow({target: this.editArea});
		w.domNode.style.width = "1px";
		w.domNode.style.height = "1px";
		this.domNode.appendChild(w.domNode);
		dojo.setSelectable(this.domNode, false);
	},
	
	loadContentOutlinePage: function(){
		var contentOutlinePage = this.editArea.getContentOutlinePage()
			|| this.editArea.createContentOutlinePage();
		if(contentOutlinePage){
			contentOutlinePage.setOutlineView(this);
			contentOutlinePage.createOutlinePage();
			
			this._initialize();
			this.scrollWindow.constrainTo(contentOutlinePage.canvas.domNode);
			this.scrollWindow.startup();
			contentOutlinePage.refreshOutline();
		}
	}	

});
