/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("mm.model.Icon");

dojo.require("mm.utils");
dojo.require("mm.xpath");

dojo.declare("mm.model.Icon", null, {
	url: "",
	
	constructor: function(/*Element*/entry, /*string*/contextRoot){
		var url = mm.xpath.evaluateXPath("url", entry)[0];
		this.url = url ? url.textContent || url.text : "";
		
		//append to context root
		if((this.url.indexOf("http://") != 0) && (this.url.indexOf("https://") != 0) && contextRoot){
			this.url = contextRoot + this.url; 
		}
	}
});