/*
	Copyright (c) 2007-2008, IBM Corp.
*/
dojo.provide("mm.xhr");
dojo.require("mm.xhr.CrossDomainXmlHttpRequest");

mm.xhr.getXhr = function(/*String*/serviceProxyUrl){
	function getNativeXhr(){
		if (window.XMLHttpRequest) {
			return new XMLHttpRequest();
		}else if (window.ActiveXObject) {//IE
				try {
					return new ActiveXObject("Msxml2.XMLHTTP");
				} catch (e) {
					try {
						return new ActiveXObject("Microsoft.XMLHTTP");
					}catch (e) {}
				};
		}
		throw new Error("No XmlHttpRequest support.");
	}
	if (serviceProxyUrl) {
		var this_host = window.location.protocol + "//" +  window.location.host;
		if(serviceProxyUrl.indexOf(this_host) == 0
		|| (serviceProxyUrl.indexOf("http://")!=0 &&  serviceProxyUrl.indexOf("https://")!=0)){
			return getNativeXhr();
		}else{
			return new mm.xhr.CrossDomainXmlHttpRequest(serviceProxyUrl);
		}
	}else{
		return getNativeXhr();
	}
}