<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ include file="encoder.jsp" %>
<%request.setCharacterEncoding("UTF-8");%>
<html>
<head>
<script type="text/javascript">
function getXHR(){
	if (window.XMLHttpRequest){
		return new XMLHttpRequest();
	}else if(window.ActiveXObject){//IE
		try{
			return new ActiveXObject("Msxml2.XMLHTTP");
		}catch(e){
			try{
				return new ActiveXObject("Microsoft.XMLHTTP");
			}catch(e){
			}
		};
	}
	throw new Error("No XmlHttpRequest support.");
};

function getRequest(){
	return {
		"method" : <%=encode(request.getParameter("method"))%>,
		"url" :  <%=encode(request.getParameter("url"))%>,
		"async" : <%=request.getParameter("async")%>,
		"username": <%=encode(request.getParameter("username"))%>,
		"password": <%=encode(request.getParameter("password"))%>,
		
		"headers": <%=encode(request.getParameter("headers"))%>,
		"body": <%=encode(request.getParameter("body"))%>
	};
};

function setResponse(response){
	//encode response to form
	document.getElementById("status").value = response.status;
	document.getElementById("statusText").value = response.statusText;
	document.getElementById("responseText").value = response.responseText;
	document.getElementById("responseHeaders").value = response.responseHeaders;
	//submit to callback proxy
	document.getElementById("responseForm").submit();
};

function run(){
	document.getElementById("notifyForm").submit();
	var xhr = getXHR(), request=getRequest(), response={}; 
	
	xhr.onreadystatechange = function(){
		if(xhr.readyState == 4){
			try{response.status = xhr.status;}catch(e){response.status = -1};//firefox throw error when network disconnected
			try{response.statusText = xhr.statusText;}catch(e){response.statusText = "Unknown"};
			try{response.responseText = xhr.responseText;}catch(e){response.responseText = ""};
			try{response.responseHeaders = xhr.getAllResponseHeaders();}catch(e){response.responseHeaders=""};
			//respone
			setResponse(response);
		}
	};
	
	xhr.open(request.method, request.url, request.async, request.username, request.password);
	//set request header if have
	if(request.headers){
		var parts = request.headers.split("\r\n");
		for(var i=0;i<parts.length;i++){
			var pair = parts[i].split(":");
			if(pair[0])xhr.setRequestHeader(pair[0], pair[1]);
		}
	}
	
	xhr.send(request.body);
};
</script>
</head>
<body onload="run();">
<iframe name="notify"></iframe>
<form id="notifyForm" method="GET" target="notify" accept-charset="UTF-8" action="<%=request.getParameter("callbackProxyUrl")%>">
	<input type="hidden" name="state" value="loading"/>
</form>
<form id="responseForm" method="POST" accept-charset="UTF-8" action="<%=request.getParameter("callbackProxyUrl")%>">
	<input type="hidden" name="state" value="loaded"/>
	<input type="hidden" id="status" name="status"/>
	<input type="hidden" id="statusText" name="statusText"/>
	<input type="hidden" id="responseText" name="responseText"/>
	<input type="hidden" id="responseHeaders" name="responseHeaders"/>
</form>
</body>
</html>