<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%
	com.ibm.mashuphub.plugin.feed.FeedViewBean feedViewBean = new com.ibm.mashuphub.plugin.feed.FeedViewBean();
	feedViewBean = (com.ibm.mashuphub.plugin.feed.FeedViewBean) feedViewBean.getViewBeanFromRequest(request);

	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle(feedViewBean.getI18NProperties(), request.getLocale());
	String objectId = feedViewBean.getEntry().getObjectId();
	String id = com.ibm.mashuphub.helper.PluginHelper.getClientId(feedViewBean.getPluginId(), objectId); //clientId
	String me = com.ibm.mashuphub.helper.PluginHelper.getClientMe(feedViewBean.getPluginId(), objectId); //clientMe	
	boolean bAuthFeed = feedViewBean.isAuthFeed();
%>
      </br>
	  <label for='<%= com.ibm.mashuphub.plugin.feed.FeedViewBean.FILE_URL %>'><span class='required'>*</span><%= i18n.getString("form.url.label") %> </label>
      <div class="rightCol">
	    <input name='<%= com.ibm.mashuphub.plugin.feed.FeedViewBean.FILE_URL %>' value='<%= feedViewBean.getUrl() %>' size='40' maxlength='2048' type='text' />
            <br />
	    <span class='helpertext'><%= i18n.getString("form.url.tip") %></span>
	    <br/>
      </div>
      <br/>
      
      <div>
        <div class="rightCol">
           <input type='checkbox' name='<%= com.ibm.mashuphub.plugin.feed.FeedViewBean.AUTH_FEED %>' onclick='<%=me %>.onCheckFeedAuth(this)' <%= bAuthFeed?"CHECKED":"" %> ><%= i18n.getString("form.authfeed.label") %><br/>
        </div>
        <br/>
        <div id='<%= id %>_feed_auth' style='<%= bAuthFeed?"display:block;":"display:none;" %>'>
            <label for='<%= i18n.getString("form.auth.username") %>'><span class='required'>*</span><%= i18n.getString("form.auth.username") %> </label>
            <div class="rightCol">
               <input name='<%= com.ibm.mashuphub.plugin.feed.FeedViewBean.AUTH_USERNAME %>' value='<%= feedViewBean.getUsername() %>' size='40' maxlength='1024' type='text' /><br/>
            </div>
            
            <label for='<%= i18n.getString("form.auth.password") %>'><span class='required'>*</span><%= i18n.getString("form.auth.password") %> </label>
            <div class="rightCol">
               <input name='<%= com.ibm.mashuphub.plugin.feed.FeedViewBean.AUTH_PASSWORD %>' value='<%= feedViewBean.getPassword() %>' size='40' maxlength='1024' type='password' /><br/>
            </div>
         </div>
      </div>
      
<script type="text/javascript">
<%=me %>.onCheckFeedAuth = function(obj)
{
   var node = dojo.byId('<%= id %>_feed_auth');
   
   if(obj.checked) {
      node.style.display = 'block';     
   }
   else {
      node.style.display = 'none';
   }
}
</script>
