<%@page import="com.ibm.mashuphub.plugin.mashup.MashupEditorViewBean"%>
<%@page import="com.ibm.mashuphub.util.Util"%>
<%
	com.ibm.mashuphub.plugin.mashup.MashupEditorViewBean viewBean = new com.ibm.mashuphub.plugin.mashup.MashupEditorViewBean();
	viewBean = (com.ibm.mashuphub.plugin.mashup.MashupEditorViewBean) viewBean.getViewBeanFromRequest(request);
	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle("com.ibm.mashuphub.plugin.mashup.nls.mashup", request.getLocale());
	String objectId = viewBean.getEntry().getObjectId();
	String pluginId = viewBean.getPluginId();
	String clientId = com.ibm.mashuphub.helper.PluginHelper.getClientId(viewBean.getPluginId(), objectId);
	String baseUrl = viewBean.getBaseURL();
	String ajaxUrl = baseUrl + Util.getAjaxURL(pluginId, objectId);
	String resourceUrl = viewBean.getResourcesPath();
	String entryTitle = viewBean.getEntry().getTitle();
	String currentUser = viewBean.getCurrentUser();
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <script type="text/javascript">
    var djConfig = {locale: '<%=request.getLocale().toString().replace('_', '-').toLowerCase()%>'};
 	var btpConfig = {locale: "<%= request.getLocale()%>"};

	// global object for Flow
	var FLOW = {};
	FLOW.pluginid = "<%=pluginId %>";
	FLOW.baseUrl = "<%=baseUrl %>";
	FLOW.baseResUrl = "<%=resourceUrl %>";
	FLOW.ajaxUrl = "<%=ajaxUrl %>";
	FLOW.currentUser = "<%=currentUser %>";
	
	// check if inside a frame and get a reference to MHUB
	var MHUB;
	if( self.parent != self ){
		MHUB = self.parent.hub;
        
		// setting client side plugin instance
		// e.g.:  MHUB.editor.plugins.hub_plugins_6_47
		FLOW.plugin = MHUB.managers.plugins.<%=clientId %>;       
	}
	else {
		MHUB = {};
		MHUB.baseUrl = '<%=baseUrl %>';
	}
  </script>
  <link rel='stylesheet' type="text/css" href="<%=baseUrl%>/other/dojo-1.0.2/dijit/themes/tundra/tundra.css" />
  <link rel='stylesheet' type="text/css" href="<%=resourceUrl %>/js/flow.css" />
  <link rel='stylesheet' type="text/css" href="<%=resourceUrl %>/js/hale/btp/widget/themes/btp.css" />
  <link rel='stylesheet' type="text/css" href="<%=baseUrl%>/other/dojo-1.0.2/dojox/layout/resources/ResizeHandle.css" />
  <link rel='stylesheet' type="text/css" href="<%=baseUrl%>/other/dojo-1.0.2/dojo/resources/dnd.css" />

  <script src='<%=baseUrl%>/other/dojo-1.0.2/dojo/dojo.js' type='text/javascript'></script>
  <script type="text/javascript" src="<%=resourceUrl %>/js/xmlBase.js"></script>
  <script type="text/javascript">
    dojo.registerModulePath("flow", "<%=resourceUrl %>/js/flow");
    dojo.registerModulePath("btp", "<%=resourceUrl %>/js/hale/btp");
    dojo.registerModulePath("htc", "<%=resourceUrl %>/js/hale/htc");
    dojo.registerModulePath("gdl", "<%=resourceUrl %>/js/hale/gdl");
    dojo.registerModulePath("gdc", "<%=resourceUrl %>/js/hale/gdc");
    dojo.registerModulePath("hub","<%=resourceUrl %>/../../scripts/hub");
  </script>
  <script type="text/javascript" src="<%=resourceUrl %>/js/flow.js"></script>

  <script type="text/javascript">
    var gSplashDialog;

  function start() {
    var div = document.createElement("div")
    dojo.body().appendChild(div);

    dojo.requireLocalization("flow", "labels");
    dojo.require("flow.dijit.Dialog");
    gSplashDialog = new flow.dijit.Dialog({title: "Loading", resizable: false, closeable: false, hideTitleBar: true, hideActionBar: true}, div);
    gSplashDialog.containerNode.innerHTML = "<center><img src='<%=baseUrl%>/images/spinner.gif'> "+dojo.i18n.getLocalization("flow", "labels").SPLASH_MESSAGE+"</center>";
    gSplashDialog.domNode.style.width = "300px";
    gSplashDialog.domNode.style.zIndex = "1001";
    gSplashDialog.show();

    dojo.require("flow.dijit.FlowContainer");
    var flowContainer = new flow.dijit.FlowContainer({flowid: "flowid", ajaxUrl: "<%=ajaxUrl %>"}, dojo.byId("flowid_flowwidget"));
    flowContainer.onLoad(<%=objectId %>);
  }

  dojo.addOnLoad(start);
  </script>
</head>
<body class="tundra">
  <div id="flowid_flowwidget" style="width: 100%; height:100%"></div>
</body>
</html>
