@echo off
ECHO Call this script as follows:  starttdi.bat [drive:]tdi_path
ECHO Launching tdi server via script

REM This line enables code to trim our string
SETLOCAL ENABLEDELAYEDEXPANSION

REM To handles spaces in paths, we set a temporary string named "str"
SET str=%1 %2 %3 %4 %5 %6 %7 %8 %9

REM Now, remove trailing spaces (trim the string)
FOR /l %%a IN (1,1,11) DO IF "!str:~-1!"==" " SET str=!str:~0,-1!

REM Set TDI Solution Directory environment variable
SET TDI_SOLDIR=%str%

REM Set TDI Directory environment variable
SET TDI_DIR=%str%\win32

REM Change to the tdi directory and create a logs subdirectory
CD "%TDI_SOLDIR%"
IF NOT EXIST "%TDI_SOLDIR%\logs" MKDIR "%TDI_SOLDIR%\logs"

REM Launch TDI with quotes (so it works with spaces in path)... use START so we don't wait
START "TDI" "%TDI_DIR%\jvm\jre\bin\javaw.exe" -classpath "%TDI_DIR%\jars\3rdparty\IBM\db2jcc_license_c.jar" -Dlog4j.configuration=file:etc\log4j.properties -jar "%TDI_DIR%\IDILoader.jar" com.ibm.di.server.RS -s "%TDI_SOLDIR%" -c "%TDI_SOLDIR%\MIS\MashupIntegrationServer.xml"

REM Cleanup
ENDLOCAL
ECHO Process complete, exiting script...
EXIT
