<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="com.ibm.mashuphub.plugin.tdi.TDIViewBean, com.ibm.mashuphub.model.table.ParametersTable, com.ibm.mashuphub.model.dataobject.Parameter, java.util.*" %>
<%
TDIViewBean viewBean = new TDIViewBean();
TDIViewBean tdiViewBean = (TDIViewBean) viewBean.getViewBeanFromRequest(request);
ResourceBundle i18n = ResourceBundle.getBundle(tdiViewBean.getI18NProperties(), request.getLocale());
String objectId = tdiViewBean.getEntry().getObjectId();

List<Map<String, String>> list = (new ParametersTable()).getAllParameters(objectId);
for (int i=0; i<list.size(); i++) {
	Map<String, String> map = list.get(i);
	
	// Display asterisk if required
	String required = "";
	if (Parameter.FALSE.equals(map.get(ParametersTable.OPTIONAL_COLUMN))) {
		required = "<span class='required'>*</span>";
	}
	
	// Check prompt checkbox?
	String checked = "";
	if (Parameter.TRUE.equals(map.get(ParametersTable.PROMPT_COLUMN))) {
		checked = "CHECKED";
	}
	
	// Read default value
	String value = "";
	if (map.get(ParametersTable.DEFAULTVALUE_COLUMN) != null) {
		value = map.get(ParametersTable.DEFAULTVALUE_COLUMN);
	}
	
	// Check for password type
	String type = "TEXT";
	String checkDisabled = "";
	if ("password".equalsIgnoreCase(map.get(ParametersTable.PARAMETERTYPE_COLUMN))) {
		type = "PASSWORD";
		checked = "";
		checkDisabled = "disabled";
	}			
%>
<br/>
  <label for='parm<%=i%>'><%=required%><%=map.get(ParametersTable.DISPLAYNAME_COLUMN)%></label>
  <div class="rightCol">
    <input name='parm<%=i%>' value='<%=value%>' maxlength='2048' type=<%=type%> title='<%=map.get(ParametersTable.HELPTEXT_COLUMN)%>' />
    <input name='prompt<%=i%>' type=CHECKBOX title='<%=i18n.getString("form.checkbox.prompt")%>' <%=checked%> <%=checkDisabled%> />
  </div>
<%
}
%>
<br/><br/>
