<!--  Licensed Materials - Property of IBM 5724-V06 Copyright IBM Corp. 2008  All Rights Reserved. -->
<%@page import="com.ibm.mashuphub.plugin.wsdl.WsdlViewBean, com.ibm.mashuphub.plugin.wsdl.OperationParameter" %>
<%
	WsdlViewBean parametersViewBean = new WsdlViewBean();
	parametersViewBean = (WsdlViewBean) parametersViewBean.getViewBeanFromRequest(request);

	java.util.ResourceBundle i18n = java.util.ResourceBundle.getBundle(parametersViewBean.getI18NProperties(), request.getLocale());
	String objectId = parametersViewBean.getEntry().getObjectId();
	String id = com.ibm.mashuphub.helper.PluginHelper.getClientId(parametersViewBean.getPluginId(), objectId); //clientId
	String me = com.ibm.mashuphub.helper.PluginHelper.getClientMe(parametersViewBean.getPluginId(), objectId); //clientMe	
	boolean bAuthFeed = parametersViewBean.isAuthService();
%>
      <div>
        <div class="rightCol">
           <input type='checkbox' name='<%= WsdlViewBean.AUTH_SERVICE %>' onclick='<%=me %>.onCheckFeedAuth(this)' <%= bAuthFeed?"CHECKED":"" %> ><%= i18n.getString("form.authservice.label") %><br/>
        </div>
        <br/>
        <div id='<%= id %>_service_auth' style='<%= bAuthFeed?"display:block;":"display:none;" %>'>
            <label for='<%= i18n.getString("form.auth.username") %>'><span class='required'>*</span><%= i18n.getString("form.auth.username") %> </label>
            <div class="rightCol">
               <input name='<%= WsdlViewBean.AUTH_USERNAME %>' value='<%= parametersViewBean.getUsername() %>' size='40' maxlength='128' type='text' /><br/>
            </div>
            
            <label for='<%= i18n.getString("form.auth.password") %>'><span class='required'>*</span><%= i18n.getString("form.auth.password") %> </label>
            <div class="rightCol">
               <input name='<%= WsdlViewBean.AUTH_PASSWORD %>' value='<%= parametersViewBean.getPassword() %>' size='40' maxlength='128' type='password' /><br/>
            </div>
         </div>
      </div>
      
<script type="text/javascript">
<%=me %>.onCheckFeedAuth = function(obj)
{
   var node = dojo.byId('<%= id %>_service_auth');
   
   if(obj.checked) {
      node.style.display = 'block';     
   }
   else {
      node.style.display = 'none';
   }
}
</script>
