<%@ page language="java" contentType="text/html;charset=UTF-8" %>
<%-- Copyright IBM Corp. 2008  All Rights Reserved.                    --%>
<%
boolean isErrorScreen=request.getParameter("fail")!=null;
java.util.ResourceBundle bundle=java.util.ResourceBundle.getBundle("resources.bootstrap",request.getLocale());
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title><%=bundle.getString("login.title")%></title><%--
    <link rel="shortcut icon" href="/mm/images/favicon.ico" type="image/x-icon">
    <link rel="icon" href="/mm/images/favicon.ico" type="image/x-icon">--%>  	
	<link rel="stylesheet" href="/mm/_combined.css" type="text/css">
	<script language="JavaScript" type="text/javascript">
	var supportedBrowsers=[/Firefox.2/g,/MSIE 7/g,/Version.3.*Safari/g];
	var ua=navigator.userAgent;
	var isSupported=false;
	for(var i=0;i<supportedBrowsers.length;i++){
		if(ua.match(supportedBrowsers[i])){
			isSupported=true;
			break;
		}
	}
	if(!isSupported){
		var msg="<%=bundle.getString("login.unsupportedBrowserWarning")%>";
		alert(msg);
	}
	
	</script>
</head>
<body class="mainbody">  
	<div class="topMargin"></div>
	<center>
		<div class="loginPane">
			<div class="titleBar">
				<img class="prodLogo" src="/mm/images/lotus_mashups_logo.png"/> 
			</div>
			<div class="innerPaneBorder">
				<div class="innerPane">
						<div class="liIcon" style="float:left"><img src="/mm/images/mashups_icon_for_signin_screen.png"></div>
						<div class="liText" style="float:left">
							<div class="prodName"><nobr><%=bundle.getString("login.productName")%></nobr></div>
							<div class="prodShortDesc"><%=bundle.getString("login.productShortDesc")%></div>
							<div class="prodLongDesc"><%=bundle.getString("login.productLongDesc")%></div>
						</div>
						<div class="liForm" style="float:right">
							<form id="loginForm" action="<%= response.encodeURL("j_security_check") %>" method="POST">
								<table style="width:300px">
									<tr>
										<td width="100px"></td>
										<td><div class="signInText"><%=bundle.getString("login.signIn")%></div></td>
									</tr>
									<%if(isErrorScreen){%>
									<tr>
										<td></td>
										<td><div class="signError1"></div><div class="signError2"><div class="signError3"></div></div><div class="signError3"><div class="signError3"></div></div>
										<div class="signErrorText"><table><tr><td><img src="/mm/images/login_warning_triangle.gif" alt="warning"></td><td style="text-align:left"><%=bundle.getString("login.errorMsg")%></td></tr></table></div>
										<div class="signError3"><div class="signError3"></div></div><div class="signError2"><div class="signError3"></div></div><div class="signError1"></div></td>
									</tr>
									<%}%>
									<%String formItemLabelStyle=isErrorScreen?"formItemLabelError":"formItemLabel";%>
									<tr>
										<td class="<%=formItemLabelStyle%>"><nobr><%=bundle.getString("login.userID")%></nobr></td>
										<td class="inputbox"><input class="logininput" type="text" id="username" name="j_username" onkeyup="submitOnEnter(event)"/></td>
									</tr>	
									<tr>
										<td class="<%=formItemLabelStyle%>"><nobr><%=bundle.getString("login.password")%></nobr></td>
										<td class="inputbox"><input class="logininput" type="password" id="password" name="j_password" onkeyup="submitOnEnter(event)"/></td>
									</tr>	
									<tr>
										<td style="padding-top: 0px;"></td>
										<td align="left" style="padding-top: 6px;*height:18px; /*IE7*/">
											<a class="loginbutton" href="javascript:void(submit())" id="loginBn"><span class="loginspan"><%=bundle.getString("login.signIn")%></span></a> 
										</td>
									</tr>			
								</table>
							</form>
						</div>
						<div style="clear:both"></div>
				</div>
			</div>
			<div class="footer">
				<ul>
					<li><a class="loginLink" href="http://www-10.lotus.com/ldd/mashupswiki.nsf" target="_blank"><%=bundle.getString("login.help")%></a></li>
				</ul>
			</div>		
		</div>
	</center>	
	<script>
		if(window.location.hash.indexOf("#pid=")>=0){
			//set pid to support tomcat
			setCookie("pid", window.location.hash.substr(5));
			//WAS will clean any cookie except WASReqURL; 
			//WAS will aslo remove hash from the url so we change the cookie.
			//Because only FF will pass the hash to this page, this change only support FF.
			var wsu = getCookie("WASReqURL")
			if(wsu){
				if(wsu.indexOf("#pid")<0){
			   		setCookie("WASReqURL", wsu + window.location.hash)
				}
			}else{
				setCookie("WASReqURL", "/mum/enabler" + window.location.hash)
			}
		}
		
		var textboxUser=document.getElementById('username')
		var textboxPassword=document.getElementById('password')
		function submit(){
			if ((textboxUser.value.length > 0) && (textboxPassword.value.length) > 0) {
				document.getElementById('loginBn').setAttribute("href","#")
				document.forms[0].submit()
			}else{
				alert("<%=bundle.getString("login.errorMsg2")%>")
			} 
		}
		function submitOnEnter(keyEvent){
			if(keyEvent.keyCode==13&&(textboxUser.value.length>0)&&(textboxPassword.value.length)>0){
				submit()
			}
		}
		textboxUser.focus()
		
		function getCookie(name){
		  var arr = document.cookie.match(new RegExp("(^| )"+name+"=([^;]*)(;|$)"));
		  if(arr != null) return unescape(arr[2]); return null;
		}
		
		function setCookie(name,value){
		  document.cookie = name + "="+ value;
		}
	</script>
</body> 
</html>
